package com.sztzjy.fund_investment.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author xcj
 * exit_time
 */
public class ExitTime {
    private String flowId;

    @ApiModelProperty("投资项目")
    private String porjectName;

    @ApiModelProperty("投资金额")
    private BigDecimal investmentAmount;

    @ApiModelProperty("持股比例")
    private BigDecimal shareRatio;

    @ApiModelProperty("总股本")
    private BigDecimal totalEquity;

    @ApiModelProperty("持股数量")
    private BigDecimal shareCount;

    @ApiModelProperty("退出时市值")
    private BigDecimal exitMarketValue;

    @ApiModelProperty("退出时收益率")
    private BigDecimal exitYield;

    @ApiModelProperty("退出时基金收益")
    private BigDecimal exitFundEarnings;

    @ApiModelProperty("退出时机")
    private String exitTiming;

    @ApiModelProperty("退出股价")
    private BigDecimal exitStockPrice;

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId == null ? null : flowId.trim();
    }

    public String getPorjectName() {
        return porjectName;
    }

    public void setPorjectName(String porjectName) {
        this.porjectName = porjectName == null ? null : porjectName.trim();
    }

    public BigDecimal getInvestmentAmount() {
        return investmentAmount;
    }

    public void setInvestmentAmount(BigDecimal investmentAmount) {
        this.investmentAmount = investmentAmount;
    }

    public BigDecimal getShareRatio() {
        return shareRatio;
    }

    public void setShareRatio(BigDecimal shareRatio) {
        this.shareRatio = shareRatio;
    }

    public BigDecimal getTotalEquity() {
        return totalEquity;
    }

    public void setTotalEquity(BigDecimal totalEquity) {
        this.totalEquity = totalEquity;
    }

    public BigDecimal getShareCount() {
        return shareCount;
    }

    public void setShareCount(BigDecimal shareCount) {
        this.shareCount = shareCount;
    }

    public BigDecimal getExitMarketValue() {
        return exitMarketValue;
    }

    public void setExitMarketValue(BigDecimal exitMarketValue) {
        this.exitMarketValue = exitMarketValue;
    }

    public BigDecimal getExitYield() {
        return exitYield;
    }

    public void setExitYield(BigDecimal exitYield) {
        this.exitYield = exitYield;
    }

    public BigDecimal getExitFundEarnings() {
        return exitFundEarnings;
    }

    public void setExitFundEarnings(BigDecimal exitFundEarnings) {
        this.exitFundEarnings = exitFundEarnings;
    }

    public String getExitTiming() {
        return exitTiming;
    }

    public void setExitTiming(String exitTiming) {
        this.exitTiming = exitTiming == null ? null : exitTiming.trim();
    }

    public BigDecimal getExitStockPrice() {
        return exitStockPrice;
    }

    public void setExitStockPrice(BigDecimal exitStockPrice) {
        this.exitStockPrice = exitStockPrice;
    }
}