package com.sztzjy.fund_investment.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author xcj
 * fundraising
 */
public class Fundraising {
    private String id;

    @ApiModelProperty("流程ID")
    private String flowId;

    @ApiModelProperty("自有资金")
    private BigDecimal ownFunds;

    @ApiModelProperty("银行借款")
    private BigDecimal bankLoan;

    @ApiModelProperty("优先级LP")
    private BigDecimal priorityLp;

    @ApiModelProperty("劣后级LP")
    private BigDecimal subordinatedLp;

    @ApiModelProperty("基金募资金额")
    private BigDecimal fundraisingAmount;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId == null ? null : flowId.trim();
    }

    public BigDecimal getOwnFunds() {
        return ownFunds;
    }

    public void setOwnFunds(BigDecimal ownFunds) {
        this.ownFunds = ownFunds;
    }

    public BigDecimal getBankLoan() {
        return bankLoan;
    }

    public void setBankLoan(BigDecimal bankLoan) {
        this.bankLoan = bankLoan;
    }

    public BigDecimal getPriorityLp() {
        return priorityLp;
    }

    public void setPriorityLp(BigDecimal priorityLp) {
        this.priorityLp = priorityLp;
    }

    public BigDecimal getSubordinatedLp() {
        return subordinatedLp;
    }

    public void setSubordinatedLp(BigDecimal subordinatedLp) {
        this.subordinatedLp = subordinatedLp;
    }

    public BigDecimal getFundraisingAmount() {
        return fundraisingAmount;
    }

    public void setFundraisingAmount(BigDecimal fundraisingAmount) {
        this.fundraisingAmount = fundraisingAmount;
    }
}