package com.sztzjy.fund_investment.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author xcj
 * inquiry_participation
 */
public class InquiryParticipation {
    private String id;

    @ApiModelProperty("流程ID")
    private String flowId;

    @ApiModelProperty("配售对象编码")
    private Integer allotmentObjectCode;

    @ApiModelProperty("客观性评价")
    private String objectivityEvaluation;

    @ApiModelProperty("估值方法合理性评价")
    private String valuationMethodRationalityEvaluation;

    @ApiModelProperty("总体评价(1-100整数)")
    private Integer overallEvaluation;

    @ApiModelProperty("经办人")
    private String operator;

    @ApiModelProperty("经办人电话")
    private String operatorPhone;

    @ApiModelProperty("申报价格")
    private BigDecimal declarationPrice;

    @ApiModelProperty("拟申购数量(万股)")
    private BigDecimal intendedSubscriptionQuantity;

    @ApiModelProperty("证券账户")
    private String securitiesAccount;

    @ApiModelProperty("托管席位")
    private String custodianSeat;

    @ApiModelProperty("自愿锁定")
    private Byte voluntaryLockup;

    @ApiModelProperty("总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("状态")
    private String status;

    @ApiModelProperty("备注信息")
    private String remark;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId == null ? null : flowId.trim();
    }

    public Integer getAllotmentObjectCode() {
        return allotmentObjectCode;
    }

    public void setAllotmentObjectCode(Integer allotmentObjectCode) {
        this.allotmentObjectCode = allotmentObjectCode;
    }

    public String getObjectivityEvaluation() {
        return objectivityEvaluation;
    }

    public void setObjectivityEvaluation(String objectivityEvaluation) {
        this.objectivityEvaluation = objectivityEvaluation == null ? null : objectivityEvaluation.trim();
    }

    public String getValuationMethodRationalityEvaluation() {
        return valuationMethodRationalityEvaluation;
    }

    public void setValuationMethodRationalityEvaluation(String valuationMethodRationalityEvaluation) {
        this.valuationMethodRationalityEvaluation = valuationMethodRationalityEvaluation == null ? null : valuationMethodRationalityEvaluation.trim();
    }

    public Integer getOverallEvaluation() {
        return overallEvaluation;
    }

    public void setOverallEvaluation(Integer overallEvaluation) {
        this.overallEvaluation = overallEvaluation;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator == null ? null : operator.trim();
    }

    public String getOperatorPhone() {
        return operatorPhone;
    }

    public void setOperatorPhone(String operatorPhone) {
        this.operatorPhone = operatorPhone == null ? null : operatorPhone.trim();
    }

    public BigDecimal getDeclarationPrice() {
        return declarationPrice;
    }

    public void setDeclarationPrice(BigDecimal declarationPrice) {
        this.declarationPrice = declarationPrice;
    }

    public BigDecimal getIntendedSubscriptionQuantity() {
        return intendedSubscriptionQuantity;
    }

    public void setIntendedSubscriptionQuantity(BigDecimal intendedSubscriptionQuantity) {
        this.intendedSubscriptionQuantity = intendedSubscriptionQuantity;
    }

    public String getSecuritiesAccount() {
        return securitiesAccount;
    }

    public void setSecuritiesAccount(String securitiesAccount) {
        this.securitiesAccount = securitiesAccount == null ? null : securitiesAccount.trim();
    }

    public String getCustodianSeat() {
        return custodianSeat;
    }

    public void setCustodianSeat(String custodianSeat) {
        this.custodianSeat = custodianSeat == null ? null : custodianSeat.trim();
    }

    public Byte getVoluntaryLockup() {
        return voluntaryLockup;
    }

    public void setVoluntaryLockup(Byte voluntaryLockup) {
        this.voluntaryLockup = voluntaryLockup;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }
}