package com.sztzjy.fund_investment.entity;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author xcj
 * pro_business_info
 */
public class ProBusinessInfo {
    @ApiModelProperty("公司背景详情Id")
    private String id;

    @ApiModelProperty("项目池ID")
    private String projectPoolId;

    @ApiModelProperty("注册资本")
    private String registeredCapital;

    @ApiModelProperty("经营状态")
    private String operatingState;

    @ApiModelProperty("统一社会信用代码")
    private String creditCode;

    @ApiModelProperty("纳税人识别号")
    private String identificationNumber;

    @ApiModelProperty("营业期限")
    private String businessTerm;

    @ApiModelProperty("实缴资本")
    private String paidinCapital;

    @ApiModelProperty("参保人数")
    private String insuranceNum;

    @ApiModelProperty("成立日期")
    private String createDate;

    @ApiModelProperty("工商注册号")
    private String registrationNum;

    @ApiModelProperty("组织结构代码")
    private String orgaStruCode;

    @ApiModelProperty("公司类型")
    private String companyType;

    @ApiModelProperty("行业")
    private String industry;

    @ApiModelProperty("核准日期")
    private String approvalDate;

    @ApiModelProperty("人员规模")
    private String staffSize;

    @ApiModelProperty("登记机关")
    private String registrar;

    @ApiModelProperty("注册地址")
    private String registeredAddress;

    @ApiModelProperty("经营范围")
    private String businessScope;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getProjectPoolId() {
        return projectPoolId;
    }

    public void setProjectPoolId(String projectPoolId) {
        this.projectPoolId = projectPoolId == null ? null : projectPoolId.trim();
    }

    public String getRegisteredCapital() {
        return registeredCapital;
    }

    public void setRegisteredCapital(String registeredCapital) {
        this.registeredCapital = registeredCapital == null ? null : registeredCapital.trim();
    }

    public String getOperatingState() {
        return operatingState;
    }

    public void setOperatingState(String operatingState) {
        this.operatingState = operatingState == null ? null : operatingState.trim();
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode == null ? null : creditCode.trim();
    }

    public String getIdentificationNumber() {
        return identificationNumber;
    }

    public void setIdentificationNumber(String identificationNumber) {
        this.identificationNumber = identificationNumber == null ? null : identificationNumber.trim();
    }

    public String getBusinessTerm() {
        return businessTerm;
    }

    public void setBusinessTerm(String businessTerm) {
        this.businessTerm = businessTerm == null ? null : businessTerm.trim();
    }

    public String getPaidinCapital() {
        return paidinCapital;
    }

    public void setPaidinCapital(String paidinCapital) {
        this.paidinCapital = paidinCapital == null ? null : paidinCapital.trim();
    }

    public String getInsuranceNum() {
        return insuranceNum;
    }

    public void setInsuranceNum(String insuranceNum) {
        this.insuranceNum = insuranceNum == null ? null : insuranceNum.trim();
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate == null ? null : createDate.trim();
    }

    public String getRegistrationNum() {
        return registrationNum;
    }

    public void setRegistrationNum(String registrationNum) {
        this.registrationNum = registrationNum == null ? null : registrationNum.trim();
    }

    public String getOrgaStruCode() {
        return orgaStruCode;
    }

    public void setOrgaStruCode(String orgaStruCode) {
        this.orgaStruCode = orgaStruCode == null ? null : orgaStruCode.trim();
    }

    public String getCompanyType() {
        return companyType;
    }

    public void setCompanyType(String companyType) {
        this.companyType = companyType == null ? null : companyType.trim();
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry == null ? null : industry.trim();
    }

    public String getApprovalDate() {
        return approvalDate;
    }

    public void setApprovalDate(String approvalDate) {
        this.approvalDate = approvalDate == null ? null : approvalDate.trim();
    }

    public String getStaffSize() {
        return staffSize;
    }

    public void setStaffSize(String staffSize) {
        this.staffSize = staffSize == null ? null : staffSize.trim();
    }

    public String getRegistrar() {
        return registrar;
    }

    public void setRegistrar(String registrar) {
        this.registrar = registrar == null ? null : registrar.trim();
    }

    public String getRegisteredAddress() {
        return registeredAddress;
    }

    public void setRegisteredAddress(String registeredAddress) {
        this.registeredAddress = registeredAddress == null ? null : registeredAddress.trim();
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope == null ? null : businessScope.trim();
    }
}