package com.sztzjy.fund_investment.entity;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author xcj
 * pro_judicial_risk
 */
public class ProJudicialRisk {
    @ApiModelProperty("司法风险ID")
    private String id;

    @ApiModelProperty("项目池ID")
    private String projectPoolId;

    @ApiModelProperty("开庭日期")
    private String lawfulDay;

    @ApiModelProperty("案号")
    private String caseCode;

    @ApiModelProperty("案由")
    private String cause;

    @ApiModelProperty("公诉人/原告/上诉人/申请人")
    private String plaintiff;

    @ApiModelProperty("被告人/被告/被上诉人/被申请人")
    private String defendant;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getProjectPoolId() {
        return projectPoolId;
    }

    public void setProjectPoolId(String projectPoolId) {
        this.projectPoolId = projectPoolId == null ? null : projectPoolId.trim();
    }

    public String getLawfulDay() {
        return lawfulDay;
    }

    public void setLawfulDay(String lawfulDay) {
        this.lawfulDay = lawfulDay == null ? null : lawfulDay.trim();
    }

    public String getCaseCode() {
        return caseCode;
    }

    public void setCaseCode(String caseCode) {
        this.caseCode = caseCode == null ? null : caseCode.trim();
    }

    public String getCause() {
        return cause;
    }

    public void setCause(String cause) {
        this.cause = cause == null ? null : cause.trim();
    }

    public String getPlaintiff() {
        return plaintiff;
    }

    public void setPlaintiff(String plaintiff) {
        this.plaintiff = plaintiff == null ? null : plaintiff.trim();
    }

    public String getDefendant() {
        return defendant;
    }

    public void setDefendant(String defendant) {
        this.defendant = defendant == null ? null : defendant.trim();
    }
}