package com.sztzjy.fund_investment.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author xcj
 * profit_distribution
 */
public class ProfitDistribution {
    @ApiModelProperty("表ID")
    private String id;

    @ApiModelProperty("流程ID")
    private String flowId;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("投资金额")
    private BigDecimal investmentAmount;

    @ApiModelProperty("退出股价")
    private BigDecimal exitStockPrice;

    @ApiModelProperty("基金收益")
    private BigDecimal fundEarnings;

    @ApiModelProperty("可用资金")
    private BigDecimal availableFunds;

    @ApiModelProperty("第一轮自有资金")
    private BigDecimal round1OwnFunds;

    @ApiModelProperty("第一轮劣后级LP")
    private BigDecimal round1SubordinatedLp;

    @ApiModelProperty("第一轮优先级LP")
    private BigDecimal round1PreferredLp;

    @ApiModelProperty("第一轮银行借款")
    private BigDecimal round1BankLoan;

    @ApiModelProperty("剩余分配自有资金")
    private BigDecimal remainingOwnFunds;

    @ApiModelProperty("剩余收益劣后级LP")
    private BigDecimal remainingEarningsSubordinatedLp;

    @ApiModelProperty("剩余收益优先级LP")
    private BigDecimal remainingEarningsPreferredLp;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId == null ? null : flowId.trim();
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName == null ? null : projectName.trim();
    }

    public BigDecimal getInvestmentAmount() {
        return investmentAmount;
    }

    public void setInvestmentAmount(BigDecimal investmentAmount) {
        this.investmentAmount = investmentAmount;
    }

    public BigDecimal getExitStockPrice() {
        return exitStockPrice;
    }

    public void setExitStockPrice(BigDecimal exitStockPrice) {
        this.exitStockPrice = exitStockPrice;
    }

    public BigDecimal getFundEarnings() {
        return fundEarnings;
    }

    public void setFundEarnings(BigDecimal fundEarnings) {
        this.fundEarnings = fundEarnings;
    }

    public BigDecimal getAvailableFunds() {
        return availableFunds;
    }

    public void setAvailableFunds(BigDecimal availableFunds) {
        this.availableFunds = availableFunds;
    }

    public BigDecimal getRound1OwnFunds() {
        return round1OwnFunds;
    }

    public void setRound1OwnFunds(BigDecimal round1OwnFunds) {
        this.round1OwnFunds = round1OwnFunds;
    }

    public BigDecimal getRound1SubordinatedLp() {
        return round1SubordinatedLp;
    }

    public void setRound1SubordinatedLp(BigDecimal round1SubordinatedLp) {
        this.round1SubordinatedLp = round1SubordinatedLp;
    }

    public BigDecimal getRound1PreferredLp() {
        return round1PreferredLp;
    }

    public void setRound1PreferredLp(BigDecimal round1PreferredLp) {
        this.round1PreferredLp = round1PreferredLp;
    }

    public BigDecimal getRound1BankLoan() {
        return round1BankLoan;
    }

    public void setRound1BankLoan(BigDecimal round1BankLoan) {
        this.round1BankLoan = round1BankLoan;
    }

    public BigDecimal getRemainingOwnFunds() {
        return remainingOwnFunds;
    }

    public void setRemainingOwnFunds(BigDecimal remainingOwnFunds) {
        this.remainingOwnFunds = remainingOwnFunds;
    }

    public BigDecimal getRemainingEarningsSubordinatedLp() {
        return remainingEarningsSubordinatedLp;
    }

    public void setRemainingEarningsSubordinatedLp(BigDecimal remainingEarningsSubordinatedLp) {
        this.remainingEarningsSubordinatedLp = remainingEarningsSubordinatedLp;
    }

    public BigDecimal getRemainingEarningsPreferredLp() {
        return remainingEarningsPreferredLp;
    }

    public void setRemainingEarningsPreferredLp(BigDecimal remainingEarningsPreferredLp) {
        this.remainingEarningsPreferredLp = remainingEarningsPreferredLp;
    }
}