package com.sztzjy.fund_investment.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author xcj
 * profit_management
 */
public class ProfitManagement {
    @ApiModelProperty("表ID")
    private String id;

    @ApiModelProperty("流程ID")
    private String flowId;

    @ApiModelProperty("投资金额")
    private BigDecimal investmentAmount;

    @ApiModelProperty("持股比例")
    private BigDecimal shareRatio;

    @ApiModelProperty("总股本")
    private BigDecimal totalEquity;

    @ApiModelProperty("持股数量")
    private BigDecimal shareCount;

    @ApiModelProperty("上市时间/数据库存的是以日为单位的数字/一个月为30")
    private Integer marketTime;

    @ApiModelProperty("股票价格")
    private BigDecimal stockPrice;

    @ApiModelProperty("市值")
    private BigDecimal marketValue;

    @ApiModelProperty("基金收益")
    private BigDecimal fundEarnings;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId == null ? null : flowId.trim();
    }

    public BigDecimal getInvestmentAmount() {
        return investmentAmount;
    }

    public void setInvestmentAmount(BigDecimal investmentAmount) {
        this.investmentAmount = investmentAmount;
    }

    public BigDecimal getShareRatio() {
        return shareRatio;
    }

    public void setShareRatio(BigDecimal shareRatio) {
        this.shareRatio = shareRatio;
    }

    public BigDecimal getTotalEquity() {
        return totalEquity;
    }

    public void setTotalEquity(BigDecimal totalEquity) {
        this.totalEquity = totalEquity;
    }

    public BigDecimal getShareCount() {
        return shareCount;
    }

    public void setShareCount(BigDecimal shareCount) {
        this.shareCount = shareCount;
    }

    public Integer getMarketTime() {
        return marketTime;
    }

    public void setMarketTime(Integer marketTime) {
        this.marketTime = marketTime;
    }

    public BigDecimal getStockPrice() {
        return stockPrice;
    }

    public void setStockPrice(BigDecimal stockPrice) {
        this.stockPrice = stockPrice;
    }

    public BigDecimal getMarketValue() {
        return marketValue;
    }

    public void setMarketValue(BigDecimal marketValue) {
        this.marketValue = marketValue;
    }

    public BigDecimal getFundEarnings() {
        return fundEarnings;
    }

    public void setFundEarnings(BigDecimal fundEarnings) {
        this.fundEarnings = fundEarnings;
    }
}