package com.sztzjy.fund_investment.entity;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author xcj
 * project_pool
 */
public class ProjectPool {
    @ApiModelProperty("项目池id")
    private String projectPoolId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("行业名称")
    private String industryName;

    @ApiModelProperty("地区")
    private String area;

    @ApiModelProperty("发展阶段")
    private String stage;

    @ApiModelProperty("风险等级")
    private String riskRating;

    @ApiModelProperty("项目来源")
    private String projectSource;

    @ApiModelProperty("融资轮次")
    private String financingRound;

    @ApiModelProperty("融资金额")
    private String financingAmount;

    @ApiModelProperty("估值")
    private String latestValuation;

    @ApiModelProperty("预期收益率")
    private String expectedReturn;

    @ApiModelProperty("文件路径")
    private String bpPath;

    public String getProjectPoolId() {
        return projectPoolId;
    }

    public void setProjectPoolId(String projectPoolId) {
        this.projectPoolId = projectPoolId == null ? null : projectPoolId.trim();
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName == null ? null : companyName.trim();
    }

    public String getIndustryName() {
        return industryName;
    }

    public void setIndustryName(String industryName) {
        this.industryName = industryName == null ? null : industryName.trim();
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area == null ? null : area.trim();
    }

    public String getStage() {
        return stage;
    }

    public void setStage(String stage) {
        this.stage = stage == null ? null : stage.trim();
    }

    public String getRiskRating() {
        return riskRating;
    }

    public void setRiskRating(String riskRating) {
        this.riskRating = riskRating == null ? null : riskRating.trim();
    }

    public String getProjectSource() {
        return projectSource;
    }

    public void setProjectSource(String projectSource) {
        this.projectSource = projectSource == null ? null : projectSource.trim();
    }

    public String getFinancingRound() {
        return financingRound;
    }

    public void setFinancingRound(String financingRound) {
        this.financingRound = financingRound == null ? null : financingRound.trim();
    }

    public String getFinancingAmount() {
        return financingAmount;
    }

    public void setFinancingAmount(String financingAmount) {
        this.financingAmount = financingAmount == null ? null : financingAmount.trim();
    }

    public String getLatestValuation() {
        return latestValuation;
    }

    public void setLatestValuation(String latestValuation) {
        this.latestValuation = latestValuation == null ? null : latestValuation.trim();
    }

    public String getExpectedReturn() {
        return expectedReturn;
    }

    public void setExpectedReturn(String expectedReturn) {
        this.expectedReturn = expectedReturn == null ? null : expectedReturn.trim();
    }

    public String getBpPath() {
        return bpPath;
    }

    public void setBpPath(String bpPath) {
        this.bpPath = bpPath == null ? null : bpPath.trim();
    }
}