package com.sztzjy.fund_investment.entity;

import java.util.ArrayList;
import java.util.List;

public class ProjectPoolExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public ProjectPoolExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andProjectPoolIdIsNull() {
            addCriterion("project_pool_id is null");
            return (Criteria) this;
        }

        public Criteria andProjectPoolIdIsNotNull() {
            addCriterion("project_pool_id is not null");
            return (Criteria) this;
        }

        public Criteria andProjectPoolIdEqualTo(String value) {
            addCriterion("project_pool_id =", value, "projectPoolId");
            return (Criteria) this;
        }

        public Criteria andProjectPoolIdNotEqualTo(String value) {
            addCriterion("project_pool_id <>", value, "projectPoolId");
            return (Criteria) this;
        }

        public Criteria andProjectPoolIdGreaterThan(String value) {
            addCriterion("project_pool_id >", value, "projectPoolId");
            return (Criteria) this;
        }

        public Criteria andProjectPoolIdGreaterThanOrEqualTo(String value) {
            addCriterion("project_pool_id >=", value, "projectPoolId");
            return (Criteria) this;
        }

        public Criteria andProjectPoolIdLessThan(String value) {
            addCriterion("project_pool_id <", value, "projectPoolId");
            return (Criteria) this;
        }

        public Criteria andProjectPoolIdLessThanOrEqualTo(String value) {
            addCriterion("project_pool_id <=", value, "projectPoolId");
            return (Criteria) this;
        }

        public Criteria andProjectPoolIdLike(String value) {
            addCriterion("project_pool_id like", value, "projectPoolId");
            return (Criteria) this;
        }

        public Criteria andProjectPoolIdNotLike(String value) {
            addCriterion("project_pool_id not like", value, "projectPoolId");
            return (Criteria) this;
        }

        public Criteria andProjectPoolIdIn(List<String> values) {
            addCriterion("project_pool_id in", values, "projectPoolId");
            return (Criteria) this;
        }

        public Criteria andProjectPoolIdNotIn(List<String> values) {
            addCriterion("project_pool_id not in", values, "projectPoolId");
            return (Criteria) this;
        }

        public Criteria andProjectPoolIdBetween(String value1, String value2) {
            addCriterion("project_pool_id between", value1, value2, "projectPoolId");
            return (Criteria) this;
        }

        public Criteria andProjectPoolIdNotBetween(String value1, String value2) {
            addCriterion("project_pool_id not between", value1, value2, "projectPoolId");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNull() {
            addCriterion("company_name is null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNotNull() {
            addCriterion("company_name is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameEqualTo(String value) {
            addCriterion("company_name =", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotEqualTo(String value) {
            addCriterion("company_name <>", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThan(String value) {
            addCriterion("company_name >", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThanOrEqualTo(String value) {
            addCriterion("company_name >=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThan(String value) {
            addCriterion("company_name <", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThanOrEqualTo(String value) {
            addCriterion("company_name <=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLike(String value) {
            addCriterion("company_name like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotLike(String value) {
            addCriterion("company_name not like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIn(List<String> values) {
            addCriterion("company_name in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotIn(List<String> values) {
            addCriterion("company_name not in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameBetween(String value1, String value2) {
            addCriterion("company_name between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotBetween(String value1, String value2) {
            addCriterion("company_name not between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andIndustryNameIsNull() {
            addCriterion("Industry_name is null");
            return (Criteria) this;
        }

        public Criteria andIndustryNameIsNotNull() {
            addCriterion("Industry_name is not null");
            return (Criteria) this;
        }

        public Criteria andIndustryNameEqualTo(String value) {
            addCriterion("Industry_name =", value, "industryName");
            return (Criteria) this;
        }

        public Criteria andIndustryNameNotEqualTo(String value) {
            addCriterion("Industry_name <>", value, "industryName");
            return (Criteria) this;
        }

        public Criteria andIndustryNameGreaterThan(String value) {
            addCriterion("Industry_name >", value, "industryName");
            return (Criteria) this;
        }

        public Criteria andIndustryNameGreaterThanOrEqualTo(String value) {
            addCriterion("Industry_name >=", value, "industryName");
            return (Criteria) this;
        }

        public Criteria andIndustryNameLessThan(String value) {
            addCriterion("Industry_name <", value, "industryName");
            return (Criteria) this;
        }

        public Criteria andIndustryNameLessThanOrEqualTo(String value) {
            addCriterion("Industry_name <=", value, "industryName");
            return (Criteria) this;
        }

        public Criteria andIndustryNameLike(String value) {
            addCriterion("Industry_name like", value, "industryName");
            return (Criteria) this;
        }

        public Criteria andIndustryNameNotLike(String value) {
            addCriterion("Industry_name not like", value, "industryName");
            return (Criteria) this;
        }

        public Criteria andIndustryNameIn(List<String> values) {
            addCriterion("Industry_name in", values, "industryName");
            return (Criteria) this;
        }

        public Criteria andIndustryNameNotIn(List<String> values) {
            addCriterion("Industry_name not in", values, "industryName");
            return (Criteria) this;
        }

        public Criteria andIndustryNameBetween(String value1, String value2) {
            addCriterion("Industry_name between", value1, value2, "industryName");
            return (Criteria) this;
        }

        public Criteria andIndustryNameNotBetween(String value1, String value2) {
            addCriterion("Industry_name not between", value1, value2, "industryName");
            return (Criteria) this;
        }

        public Criteria andAreaIsNull() {
            addCriterion("area is null");
            return (Criteria) this;
        }

        public Criteria andAreaIsNotNull() {
            addCriterion("area is not null");
            return (Criteria) this;
        }

        public Criteria andAreaEqualTo(String value) {
            addCriterion("area =", value, "area");
            return (Criteria) this;
        }

        public Criteria andAreaNotEqualTo(String value) {
            addCriterion("area <>", value, "area");
            return (Criteria) this;
        }

        public Criteria andAreaGreaterThan(String value) {
            addCriterion("area >", value, "area");
            return (Criteria) this;
        }

        public Criteria andAreaGreaterThanOrEqualTo(String value) {
            addCriterion("area >=", value, "area");
            return (Criteria) this;
        }

        public Criteria andAreaLessThan(String value) {
            addCriterion("area <", value, "area");
            return (Criteria) this;
        }

        public Criteria andAreaLessThanOrEqualTo(String value) {
            addCriterion("area <=", value, "area");
            return (Criteria) this;
        }

        public Criteria andAreaLike(String value) {
            addCriterion("area like", value, "area");
            return (Criteria) this;
        }

        public Criteria andAreaNotLike(String value) {
            addCriterion("area not like", value, "area");
            return (Criteria) this;
        }

        public Criteria andAreaIn(List<String> values) {
            addCriterion("area in", values, "area");
            return (Criteria) this;
        }

        public Criteria andAreaNotIn(List<String> values) {
            addCriterion("area not in", values, "area");
            return (Criteria) this;
        }

        public Criteria andAreaBetween(String value1, String value2) {
            addCriterion("area between", value1, value2, "area");
            return (Criteria) this;
        }

        public Criteria andAreaNotBetween(String value1, String value2) {
            addCriterion("area not between", value1, value2, "area");
            return (Criteria) this;
        }

        public Criteria andStageIsNull() {
            addCriterion("stage is null");
            return (Criteria) this;
        }

        public Criteria andStageIsNotNull() {
            addCriterion("stage is not null");
            return (Criteria) this;
        }

        public Criteria andStageEqualTo(String value) {
            addCriterion("stage =", value, "stage");
            return (Criteria) this;
        }

        public Criteria andStageNotEqualTo(String value) {
            addCriterion("stage <>", value, "stage");
            return (Criteria) this;
        }

        public Criteria andStageGreaterThan(String value) {
            addCriterion("stage >", value, "stage");
            return (Criteria) this;
        }

        public Criteria andStageGreaterThanOrEqualTo(String value) {
            addCriterion("stage >=", value, "stage");
            return (Criteria) this;
        }

        public Criteria andStageLessThan(String value) {
            addCriterion("stage <", value, "stage");
            return (Criteria) this;
        }

        public Criteria andStageLessThanOrEqualTo(String value) {
            addCriterion("stage <=", value, "stage");
            return (Criteria) this;
        }

        public Criteria andStageLike(String value) {
            addCriterion("stage like", value, "stage");
            return (Criteria) this;
        }

        public Criteria andStageNotLike(String value) {
            addCriterion("stage not like", value, "stage");
            return (Criteria) this;
        }

        public Criteria andStageIn(List<String> values) {
            addCriterion("stage in", values, "stage");
            return (Criteria) this;
        }

        public Criteria andStageNotIn(List<String> values) {
            addCriterion("stage not in", values, "stage");
            return (Criteria) this;
        }

        public Criteria andStageBetween(String value1, String value2) {
            addCriterion("stage between", value1, value2, "stage");
            return (Criteria) this;
        }

        public Criteria andStageNotBetween(String value1, String value2) {
            addCriterion("stage not between", value1, value2, "stage");
            return (Criteria) this;
        }

        public Criteria andRiskRatingIsNull() {
            addCriterion("risk_rating is null");
            return (Criteria) this;
        }

        public Criteria andRiskRatingIsNotNull() {
            addCriterion("risk_rating is not null");
            return (Criteria) this;
        }

        public Criteria andRiskRatingEqualTo(String value) {
            addCriterion("risk_rating =", value, "riskRating");
            return (Criteria) this;
        }

        public Criteria andRiskRatingNotEqualTo(String value) {
            addCriterion("risk_rating <>", value, "riskRating");
            return (Criteria) this;
        }

        public Criteria andRiskRatingGreaterThan(String value) {
            addCriterion("risk_rating >", value, "riskRating");
            return (Criteria) this;
        }

        public Criteria andRiskRatingGreaterThanOrEqualTo(String value) {
            addCriterion("risk_rating >=", value, "riskRating");
            return (Criteria) this;
        }

        public Criteria andRiskRatingLessThan(String value) {
            addCriterion("risk_rating <", value, "riskRating");
            return (Criteria) this;
        }

        public Criteria andRiskRatingLessThanOrEqualTo(String value) {
            addCriterion("risk_rating <=", value, "riskRating");
            return (Criteria) this;
        }

        public Criteria andRiskRatingLike(String value) {
            addCriterion("risk_rating like", value, "riskRating");
            return (Criteria) this;
        }

        public Criteria andRiskRatingNotLike(String value) {
            addCriterion("risk_rating not like", value, "riskRating");
            return (Criteria) this;
        }

        public Criteria andRiskRatingIn(List<String> values) {
            addCriterion("risk_rating in", values, "riskRating");
            return (Criteria) this;
        }

        public Criteria andRiskRatingNotIn(List<String> values) {
            addCriterion("risk_rating not in", values, "riskRating");
            return (Criteria) this;
        }

        public Criteria andRiskRatingBetween(String value1, String value2) {
            addCriterion("risk_rating between", value1, value2, "riskRating");
            return (Criteria) this;
        }

        public Criteria andRiskRatingNotBetween(String value1, String value2) {
            addCriterion("risk_rating not between", value1, value2, "riskRating");
            return (Criteria) this;
        }

        public Criteria andProjectSourceIsNull() {
            addCriterion("project_source is null");
            return (Criteria) this;
        }

        public Criteria andProjectSourceIsNotNull() {
            addCriterion("project_source is not null");
            return (Criteria) this;
        }

        public Criteria andProjectSourceEqualTo(String value) {
            addCriterion("project_source =", value, "projectSource");
            return (Criteria) this;
        }

        public Criteria andProjectSourceNotEqualTo(String value) {
            addCriterion("project_source <>", value, "projectSource");
            return (Criteria) this;
        }

        public Criteria andProjectSourceGreaterThan(String value) {
            addCriterion("project_source >", value, "projectSource");
            return (Criteria) this;
        }

        public Criteria andProjectSourceGreaterThanOrEqualTo(String value) {
            addCriterion("project_source >=", value, "projectSource");
            return (Criteria) this;
        }

        public Criteria andProjectSourceLessThan(String value) {
            addCriterion("project_source <", value, "projectSource");
            return (Criteria) this;
        }

        public Criteria andProjectSourceLessThanOrEqualTo(String value) {
            addCriterion("project_source <=", value, "projectSource");
            return (Criteria) this;
        }

        public Criteria andProjectSourceLike(String value) {
            addCriterion("project_source like", value, "projectSource");
            return (Criteria) this;
        }

        public Criteria andProjectSourceNotLike(String value) {
            addCriterion("project_source not like", value, "projectSource");
            return (Criteria) this;
        }

        public Criteria andProjectSourceIn(List<String> values) {
            addCriterion("project_source in", values, "projectSource");
            return (Criteria) this;
        }

        public Criteria andProjectSourceNotIn(List<String> values) {
            addCriterion("project_source not in", values, "projectSource");
            return (Criteria) this;
        }

        public Criteria andProjectSourceBetween(String value1, String value2) {
            addCriterion("project_source between", value1, value2, "projectSource");
            return (Criteria) this;
        }

        public Criteria andProjectSourceNotBetween(String value1, String value2) {
            addCriterion("project_source not between", value1, value2, "projectSource");
            return (Criteria) this;
        }

        public Criteria andFinancingRoundIsNull() {
            addCriterion("financing_round is null");
            return (Criteria) this;
        }

        public Criteria andFinancingRoundIsNotNull() {
            addCriterion("financing_round is not null");
            return (Criteria) this;
        }

        public Criteria andFinancingRoundEqualTo(String value) {
            addCriterion("financing_round =", value, "financingRound");
            return (Criteria) this;
        }

        public Criteria andFinancingRoundNotEqualTo(String value) {
            addCriterion("financing_round <>", value, "financingRound");
            return (Criteria) this;
        }

        public Criteria andFinancingRoundGreaterThan(String value) {
            addCriterion("financing_round >", value, "financingRound");
            return (Criteria) this;
        }

        public Criteria andFinancingRoundGreaterThanOrEqualTo(String value) {
            addCriterion("financing_round >=", value, "financingRound");
            return (Criteria) this;
        }

        public Criteria andFinancingRoundLessThan(String value) {
            addCriterion("financing_round <", value, "financingRound");
            return (Criteria) this;
        }

        public Criteria andFinancingRoundLessThanOrEqualTo(String value) {
            addCriterion("financing_round <=", value, "financingRound");
            return (Criteria) this;
        }

        public Criteria andFinancingRoundLike(String value) {
            addCriterion("financing_round like", value, "financingRound");
            return (Criteria) this;
        }

        public Criteria andFinancingRoundNotLike(String value) {
            addCriterion("financing_round not like", value, "financingRound");
            return (Criteria) this;
        }

        public Criteria andFinancingRoundIn(List<String> values) {
            addCriterion("financing_round in", values, "financingRound");
            return (Criteria) this;
        }

        public Criteria andFinancingRoundNotIn(List<String> values) {
            addCriterion("financing_round not in", values, "financingRound");
            return (Criteria) this;
        }

        public Criteria andFinancingRoundBetween(String value1, String value2) {
            addCriterion("financing_round between", value1, value2, "financingRound");
            return (Criteria) this;
        }

        public Criteria andFinancingRoundNotBetween(String value1, String value2) {
            addCriterion("financing_round not between", value1, value2, "financingRound");
            return (Criteria) this;
        }

        public Criteria andFinancingAmountIsNull() {
            addCriterion("financing_amount is null");
            return (Criteria) this;
        }

        public Criteria andFinancingAmountIsNotNull() {
            addCriterion("financing_amount is not null");
            return (Criteria) this;
        }

        public Criteria andFinancingAmountEqualTo(String value) {
            addCriterion("financing_amount =", value, "financingAmount");
            return (Criteria) this;
        }

        public Criteria andFinancingAmountNotEqualTo(String value) {
            addCriterion("financing_amount <>", value, "financingAmount");
            return (Criteria) this;
        }

        public Criteria andFinancingAmountGreaterThan(String value) {
            addCriterion("financing_amount >", value, "financingAmount");
            return (Criteria) this;
        }

        public Criteria andFinancingAmountGreaterThanOrEqualTo(String value) {
            addCriterion("financing_amount >=", value, "financingAmount");
            return (Criteria) this;
        }

        public Criteria andFinancingAmountLessThan(String value) {
            addCriterion("financing_amount <", value, "financingAmount");
            return (Criteria) this;
        }

        public Criteria andFinancingAmountLessThanOrEqualTo(String value) {
            addCriterion("financing_amount <=", value, "financingAmount");
            return (Criteria) this;
        }

        public Criteria andFinancingAmountLike(String value) {
            addCriterion("financing_amount like", value, "financingAmount");
            return (Criteria) this;
        }

        public Criteria andFinancingAmountNotLike(String value) {
            addCriterion("financing_amount not like", value, "financingAmount");
            return (Criteria) this;
        }

        public Criteria andFinancingAmountIn(List<String> values) {
            addCriterion("financing_amount in", values, "financingAmount");
            return (Criteria) this;
        }

        public Criteria andFinancingAmountNotIn(List<String> values) {
            addCriterion("financing_amount not in", values, "financingAmount");
            return (Criteria) this;
        }

        public Criteria andFinancingAmountBetween(String value1, String value2) {
            addCriterion("financing_amount between", value1, value2, "financingAmount");
            return (Criteria) this;
        }

        public Criteria andFinancingAmountNotBetween(String value1, String value2) {
            addCriterion("financing_amount not between", value1, value2, "financingAmount");
            return (Criteria) this;
        }

        public Criteria andLatestValuationIsNull() {
            addCriterion("latest_valuation is null");
            return (Criteria) this;
        }

        public Criteria andLatestValuationIsNotNull() {
            addCriterion("latest_valuation is not null");
            return (Criteria) this;
        }

        public Criteria andLatestValuationEqualTo(String value) {
            addCriterion("latest_valuation =", value, "latestValuation");
            return (Criteria) this;
        }

        public Criteria andLatestValuationNotEqualTo(String value) {
            addCriterion("latest_valuation <>", value, "latestValuation");
            return (Criteria) this;
        }

        public Criteria andLatestValuationGreaterThan(String value) {
            addCriterion("latest_valuation >", value, "latestValuation");
            return (Criteria) this;
        }

        public Criteria andLatestValuationGreaterThanOrEqualTo(String value) {
            addCriterion("latest_valuation >=", value, "latestValuation");
            return (Criteria) this;
        }

        public Criteria andLatestValuationLessThan(String value) {
            addCriterion("latest_valuation <", value, "latestValuation");
            return (Criteria) this;
        }

        public Criteria andLatestValuationLessThanOrEqualTo(String value) {
            addCriterion("latest_valuation <=", value, "latestValuation");
            return (Criteria) this;
        }

        public Criteria andLatestValuationLike(String value) {
            addCriterion("latest_valuation like", value, "latestValuation");
            return (Criteria) this;
        }

        public Criteria andLatestValuationNotLike(String value) {
            addCriterion("latest_valuation not like", value, "latestValuation");
            return (Criteria) this;
        }

        public Criteria andLatestValuationIn(List<String> values) {
            addCriterion("latest_valuation in", values, "latestValuation");
            return (Criteria) this;
        }

        public Criteria andLatestValuationNotIn(List<String> values) {
            addCriterion("latest_valuation not in", values, "latestValuation");
            return (Criteria) this;
        }

        public Criteria andLatestValuationBetween(String value1, String value2) {
            addCriterion("latest_valuation between", value1, value2, "latestValuation");
            return (Criteria) this;
        }

        public Criteria andLatestValuationNotBetween(String value1, String value2) {
            addCriterion("latest_valuation not between", value1, value2, "latestValuation");
            return (Criteria) this;
        }

        public Criteria andExpectedReturnIsNull() {
            addCriterion("expected_return is null");
            return (Criteria) this;
        }

        public Criteria andExpectedReturnIsNotNull() {
            addCriterion("expected_return is not null");
            return (Criteria) this;
        }

        public Criteria andExpectedReturnEqualTo(String value) {
            addCriterion("expected_return =", value, "expectedReturn");
            return (Criteria) this;
        }

        public Criteria andExpectedReturnNotEqualTo(String value) {
            addCriterion("expected_return <>", value, "expectedReturn");
            return (Criteria) this;
        }

        public Criteria andExpectedReturnGreaterThan(String value) {
            addCriterion("expected_return >", value, "expectedReturn");
            return (Criteria) this;
        }

        public Criteria andExpectedReturnGreaterThanOrEqualTo(String value) {
            addCriterion("expected_return >=", value, "expectedReturn");
            return (Criteria) this;
        }

        public Criteria andExpectedReturnLessThan(String value) {
            addCriterion("expected_return <", value, "expectedReturn");
            return (Criteria) this;
        }

        public Criteria andExpectedReturnLessThanOrEqualTo(String value) {
            addCriterion("expected_return <=", value, "expectedReturn");
            return (Criteria) this;
        }

        public Criteria andExpectedReturnLike(String value) {
            addCriterion("expected_return like", value, "expectedReturn");
            return (Criteria) this;
        }

        public Criteria andExpectedReturnNotLike(String value) {
            addCriterion("expected_return not like", value, "expectedReturn");
            return (Criteria) this;
        }

        public Criteria andExpectedReturnIn(List<String> values) {
            addCriterion("expected_return in", values, "expectedReturn");
            return (Criteria) this;
        }

        public Criteria andExpectedReturnNotIn(List<String> values) {
            addCriterion("expected_return not in", values, "expectedReturn");
            return (Criteria) this;
        }

        public Criteria andExpectedReturnBetween(String value1, String value2) {
            addCriterion("expected_return between", value1, value2, "expectedReturn");
            return (Criteria) this;
        }

        public Criteria andExpectedReturnNotBetween(String value1, String value2) {
            addCriterion("expected_return not between", value1, value2, "expectedReturn");
            return (Criteria) this;
        }

        public Criteria andBpPathIsNull() {
            addCriterion("bp_path is null");
            return (Criteria) this;
        }

        public Criteria andBpPathIsNotNull() {
            addCriterion("bp_path is not null");
            return (Criteria) this;
        }

        public Criteria andBpPathEqualTo(String value) {
            addCriterion("bp_path =", value, "bpPath");
            return (Criteria) this;
        }

        public Criteria andBpPathNotEqualTo(String value) {
            addCriterion("bp_path <>", value, "bpPath");
            return (Criteria) this;
        }

        public Criteria andBpPathGreaterThan(String value) {
            addCriterion("bp_path >", value, "bpPath");
            return (Criteria) this;
        }

        public Criteria andBpPathGreaterThanOrEqualTo(String value) {
            addCriterion("bp_path >=", value, "bpPath");
            return (Criteria) this;
        }

        public Criteria andBpPathLessThan(String value) {
            addCriterion("bp_path <", value, "bpPath");
            return (Criteria) this;
        }

        public Criteria andBpPathLessThanOrEqualTo(String value) {
            addCriterion("bp_path <=", value, "bpPath");
            return (Criteria) this;
        }

        public Criteria andBpPathLike(String value) {
            addCriterion("bp_path like", value, "bpPath");
            return (Criteria) this;
        }

        public Criteria andBpPathNotLike(String value) {
            addCriterion("bp_path not like", value, "bpPath");
            return (Criteria) this;
        }

        public Criteria andBpPathIn(List<String> values) {
            addCriterion("bp_path in", values, "bpPath");
            return (Criteria) this;
        }

        public Criteria andBpPathNotIn(List<String> values) {
            addCriterion("bp_path not in", values, "bpPath");
            return (Criteria) this;
        }

        public Criteria andBpPathBetween(String value1, String value2) {
            addCriterion("bp_path between", value1, value2, "bpPath");
            return (Criteria) this;
        }

        public Criteria andBpPathNotBetween(String value1, String value2) {
            addCriterion("bp_path not between", value1, value2, "bpPath");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}