package com.sztzjy.fund_investment.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

/**
 *
 * @author xcj
 * tea_class_score
 */
public class TeaClassScore {
    private String id;

    @ApiModelProperty("学校ID")
    private String schoolId;

    @ApiModelProperty("班级ID")
    private String classId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("优秀人数")
    private Integer excellentCount;

    @ApiModelProperty("良好人数")
    private Integer goodCount;

    @ApiModelProperty("一般人数")
    private Integer generalCount;

    @ApiModelProperty("不及格人数")
    private Integer failCount;

    @ApiModelProperty("班级最高分")
    private BigDecimal classMaxScore;

    @ApiModelProperty("班级最低分")
    private BigDecimal classMinScore;

    @ApiModelProperty("班级平均分")
    private BigDecimal classAverageScore;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("得分日期")
    private Date startTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId == null ? null : schoolId.trim();
    }

    public String getClassId() {
        return classId;
    }

    public void setClassId(String classId) {
        this.classId = classId == null ? null : classId.trim();
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className == null ? null : className.trim();
    }

    public Integer getExcellentCount() {
        return excellentCount;
    }

    public void setExcellentCount(Integer excellentCount) {
        this.excellentCount = excellentCount;
    }

    public Integer getGoodCount() {
        return goodCount;
    }

    public void setGoodCount(Integer goodCount) {
        this.goodCount = goodCount;
    }

    public Integer getGeneralCount() {
        return generalCount;
    }

    public void setGeneralCount(Integer generalCount) {
        this.generalCount = generalCount;
    }

    public Integer getFailCount() {
        return failCount;
    }

    public void setFailCount(Integer failCount) {
        this.failCount = failCount;
    }

    public BigDecimal getClassMaxScore() {
        return classMaxScore;
    }

    public void setClassMaxScore(BigDecimal classMaxScore) {
        this.classMaxScore = classMaxScore;
    }

    public BigDecimal getClassMinScore() {
        return classMinScore;
    }

    public void setClassMinScore(BigDecimal classMinScore) {
        this.classMinScore = classMinScore;
    }

    public BigDecimal getClassAverageScore() {
        return classAverageScore;
    }

    public void setClassAverageScore(BigDecimal classAverageScore) {
        this.classAverageScore = classAverageScore;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }
}