package com.sztzjy.fund_investment.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author tz
 * @date 2023/12/5 14:09
 */
@Data
public class AllotmentObjectDTO {
    @ApiModelProperty("询价ID")
    private String id;

    @ApiModelProperty("配售对象编码")
    private String allotmentObjectCode;

    @ApiModelProperty("流程ID")
    private String flowId;

    @ApiModelProperty("配售对象名称")
    private String allotmentObjectName;

    @ApiModelProperty("配售对象类型")
    private String allotmentObjectType;

    @ApiModelProperty("投资者编码")
    private Integer investorCode;

    @ApiModelProperty("投资者名称")
    private String investorName;

    @ApiModelProperty("投资者类型")
    private String investorType;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("逻辑删除(0、不展示 1、展示)")
    private Integer logic;

    @ApiModelProperty("是否确定")
    private String sure;
}
