package com.sztzjy.fund_investment.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;

/**
 *
 * @author xcj
 * topic_record
 */
@Data
public class TopicRecordDto {
    private String id;

    @ApiModelProperty("题目ID")
    private String topicId;

    @ApiModelProperty("流程ID")
    private String flowId;

    @ApiModelProperty("题干")
    private String topicContent;

    @ApiModelProperty("选项")
    private Map<String,String> choices;

    @ApiModelProperty("用户提交答案")
    private String userAnswer;

    @ApiModelProperty("正确答案")
    private String answer;
}