package com.sztzjy.fund_investment.mapper;

import com.sztzjy.fund_investment.entity.Topics;
import com.sztzjy.fund_investment.entity.TopicsExample;
import com.sztzjy.fund_investment.entity.TopicsWithBLOBs;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TopicsMapper {
    long countByExample(TopicsExample example);

    int deleteByExample(TopicsExample example);

    int deleteByPrimaryKey(String topicId);

    int insert(TopicsWithBLOBs record);

    int insertSelective(TopicsWithBLOBs record);

    List<TopicsWithBLOBs> selectByExampleWithBLOBs(TopicsExample example);

    List<Topics> selectByExample(TopicsExample example);

    TopicsWithBLOBs selectByPrimaryKey(String topicId);

    int updateByExampleSelective(@Param("record") TopicsWithBLOBs record, @Param("example") TopicsExample example);

    int updateByExampleWithBLOBs(@Param("record") TopicsWithBLOBs record, @Param("example") TopicsExample example);

    int updateByExample(@Param("record") Topics record, @Param("example") TopicsExample example);

    int updateByPrimaryKeySelective(TopicsWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(TopicsWithBLOBs record);

    int updateByPrimaryKey(Topics record);

    void insertBatch(List<Topics> list);

    List<TopicsWithBLOBs> getTopicsByCondition(@Param("schoolId") String schoolId, @Param("module") String module, @Param("topicContent") String topicContent);
}