package com.sztzjy.fund_investment.service;

import com.github.pagehelper.PageInfo;
import com.sztzjy.fund_investment.entity.*;
import com.sztzjy.fund_investment.entity.treeSelect.TreeSelect;

import java.util.List;

public interface ISysProjectDueDiligenceService {
    List<ProBusinessInfoShareholder> getBusinessInfoShareholderListByFlowId(String flowId);

    List<ProJudicialRisk> getProJudicialRiskListByFlowId(String flowId);

    List<ProBusinessRisk> getProBusinessRiskListByFlowId(String flowId);

    List<ProCoreTeam> getProCoreTeamListByFlowId(String flowId);

    List<ProCoreBusiness> getProCoreBusinessListByFlowId(String flowId);

    List<ProCoreCompPro> getProCoreCompProListByFlowId(String flowId);

    List<ProManaSituRecruit> getProManaSituRecruitListByFlowId(String flowId);

    List<ProManaSituCheck> getProManaSituCheckListByFlowId(String flowId);

    List<ProManaSituLicense> getProManaSituLicenseListByFlowId(String flowId);

    List<ProManaSituTenderingBidding> getProManaSituTenderingBiddingListByFlowId(String flowId);

    List<ProIntelPropertyPatentinfo> getProIntelPropertyPatentInfoListByFlowId(String flowId);

    List<ProIntelPropertyWebsiteRecord> getProIntelPropertyWebsiteRecordListByFlowId(String flowId);

    List<ProAdminiPenalty> getProAdminiPenaltyListByFlowId(String flowId);

    void updateServiceDueDiligence(FoundProject foundProject);

    List<ProBusinessInfo> getBusinessInfoList(String flowId);

    List<TreeSelect> getProFinancialIndexSelectTree();

    List<TreeSelect> getProFinancialStatementSelectTree();

    PageInfo<ProFinancialIndexDetail> selectProFinancialIndexDetailList(List<String> proFinancialIndexIdList, String flowId, Integer size, Integer index);

    PageInfo<ProFinancialStatementDetail> selectProFinancialStatementDetailList(List<String> proFinancialStatementIdList, String flowId,Integer size,Integer index);
}
