package com.sztzjy.fund_investment.service;

import com.sztzjy.fund_investment.entity.TopicRecord;
import com.sztzjy.fund_investment.entity.Topics;
import com.sztzjy.fund_investment.entity.TopicsWithBLOBs;
import com.sztzjy.fund_investment.util.ResultEntity;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @Author xcj
 * @Date 2023/11/15
 */
public interface TopicService {
    ResultEntity<List<String>> getRightScore(List<TopicsWithBLOBs> topics,String flowId);

    List<TopicsWithBLOBs> getIPOTopicTwo();

    List<TopicsWithBLOBs> getRandomTopic(String module);

    List<TopicRecord> getTopicRecord(List<String> ids);

    int importFile(MultipartFile file,String schoolId,String module);
}
