package com.sztzjy.fund_investment.service.serviceImpl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.sztzjy.fund_investment.entity.ProjectPool;
import com.sztzjy.fund_investment.entity.ProjectPoolExample;
import com.sztzjy.fund_investment.mapper.ProjectPoolMapper;
import com.sztzjy.fund_investment.service.ISysProjectPoolService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SysProjectPoolServiceImpl implements ISysProjectPoolService {
    @Autowired
    ProjectPoolMapper projectPoolMapper;
    @Override
    public PageInfo<ProjectPool> selectList(Integer size, Integer index) {
        PageHelper.startPage(index, size);
        ProjectPoolExample projectPoolExample = new ProjectPoolExample();
        List<ProjectPool> projectPools = projectPoolMapper.selectByExample(projectPoolExample);
        PageInfo<ProjectPool> pageInfo = new PageInfo<>(projectPools);
        return pageInfo;
    }
}
