package com.sztzjy.fund_investment.service.serviceImpl;

import com.sztzjy.fund_investment.entity.EduProjectValuation;
import com.sztzjy.fund_investment.entity.EduProjectValuationExample;
import com.sztzjy.fund_investment.mapper.EduProjectValuationMapper;
import com.sztzjy.fund_investment.mapper.FoundProjectMapper;
import com.sztzjy.fund_investment.service.ISysProjectValuationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SysProjectValuationServiceImpl implements ISysProjectValuationService {
    @Autowired
    FoundProjectMapper foundProjectMapper;
    @Autowired
    EduProjectValuationMapper projectValuationMapper;

    @Override
    public List<EduProjectValuation> getPE(String flowId) {
        String projectPoolId = foundProjectMapper.selectByPrimaryKey(flowId).getProjectPoolId();
        EduProjectValuationExample example = new EduProjectValuationExample();
        EduProjectValuationExample.Criteria criteria = example.createCriteria();
        criteria.andProjectPoolIdEqualTo(projectPoolId).andMethodIdEqualTo(1);
        List<EduProjectValuation> projectValuationList = projectValuationMapper.selectByExample(example);
        return projectValuationList;
    }

    @Override
    public List<EduProjectValuation> getPB(String flowId) {
        String projectPoolId = foundProjectMapper.selectByPrimaryKey(flowId).getProjectPoolId();
        EduProjectValuationExample example = new EduProjectValuationExample();
        EduProjectValuationExample.Criteria criteria = example.createCriteria();
        criteria.andProjectPoolIdEqualTo(projectPoolId).andMethodIdEqualTo(2);
        List<EduProjectValuation> projectValuationList = projectValuationMapper.selectByExample(example);
        return projectValuationList;
    }

    @Override
    public List<EduProjectValuation> getPS(String flowId) {
        String projectPoolId = foundProjectMapper.selectByPrimaryKey(flowId).getProjectPoolId();
        EduProjectValuationExample example = new EduProjectValuationExample();
        EduProjectValuationExample.Criteria criteria = example.createCriteria();
        criteria.andProjectPoolIdEqualTo(projectPoolId).andMethodIdEqualTo(3);
        List<EduProjectValuation> projectValuationList = projectValuationMapper.selectByExample(example);
        return projectValuationList;
    }
}
