package com.sztzjy.fund_investment.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author xcj
 * allotment_object
 */
public class AllotmentObject {
    @ApiModelProperty("询价ID")
    private String id;

    @ApiModelProperty("配售对象编码")
    private String allotmentObjectCode;

    @ApiModelProperty("流程ID")
    private String flowId;

    @ApiModelProperty("配售对象名称")
    private String allotmentObjectName;

    @ApiModelProperty("配售对象类型")
    private String allotmentObjectType;

    @ApiModelProperty("投资者编码")
    private Integer investorCode;

    @ApiModelProperty("投资者名称")
    private String investorName;

    @ApiModelProperty("投资者类型")
    private String investorType;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("逻辑删除(0、不展示 1、展示)")
    private Integer logic;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getAllotmentObjectCode() {
        return allotmentObjectCode;
    }

    public void setAllotmentObjectCode(String allotmentObjectCode) {
        this.allotmentObjectCode = allotmentObjectCode == null ? null : allotmentObjectCode.trim();
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId == null ? null : flowId.trim();
    }

    public String getAllotmentObjectName() {
        return allotmentObjectName;
    }

    public void setAllotmentObjectName(String allotmentObjectName) {
        this.allotmentObjectName = allotmentObjectName == null ? null : allotmentObjectName.trim();
    }

    public String getAllotmentObjectType() {
        return allotmentObjectType;
    }

    public void setAllotmentObjectType(String allotmentObjectType) {
        this.allotmentObjectType = allotmentObjectType == null ? null : allotmentObjectType.trim();
    }

    public Integer getInvestorCode() {
        return investorCode;
    }

    public void setInvestorCode(Integer investorCode) {
        this.investorCode = investorCode;
    }

    public String getInvestorName() {
        return investorName;
    }

    public void setInvestorName(String investorName) {
        this.investorName = investorName == null ? null : investorName.trim();
    }

    public String getInvestorType() {
        return investorType;
    }

    public void setInvestorType(String investorType) {
        this.investorType = investorType == null ? null : investorType.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getLogic() {
        return logic;
    }

    public void setLogic(Integer logic) {
        this.logic = logic;
    }
}