package com.sztzjy.fund_investment.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author xcj
 * edu_project_valuation
 */
public class EduProjectValuation {
    @ApiModelProperty("项目估值id")
    private String id;

    @ApiModelProperty("可比公司名称")
    private String companyid;

    @ApiModelProperty("选取公司id")
    private String projectPoolId;

    @ApiModelProperty("每股市价（可比公司）")
    private BigDecimal marketPrice;

    @ApiModelProperty("每股收益（可比公司）")
    private BigDecimal earnings;

    @ApiModelProperty("每股收益（选取公司）")
    private BigDecimal earnings1;

    @ApiModelProperty("增长率")
    private BigDecimal growthRate;

    @ApiModelProperty("增长率")
    private BigDecimal growthRate1;

    @ApiModelProperty("每股净资产")
    private BigDecimal netWorth;

    @ApiModelProperty("每股净资产")
    private BigDecimal netWorth1;

    @ApiModelProperty("权益净利率")
    private BigDecimal netInterest;

    @ApiModelProperty("权益净利率")
    private BigDecimal netInterest1;

    @ApiModelProperty("每股营业收入")
    private BigDecimal operatingIncome;

    @ApiModelProperty("每股营业收入")
    private BigDecimal operatingIncome1;

    @ApiModelProperty("营业净利率")
    private BigDecimal netOperatinginterestRate;

    @ApiModelProperty("营业净利率")
    private BigDecimal netOperatinginterestRate1;

    @ApiModelProperty("PE-1 PB-2 PS-3")
    private Integer methodId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getCompanyid() {
        return companyid;
    }

    public void setCompanyid(String companyid) {
        this.companyid = companyid == null ? null : companyid.trim();
    }

    public String getProjectPoolId() {
        return projectPoolId;
    }

    public void setProjectPoolId(String projectPoolId) {
        this.projectPoolId = projectPoolId == null ? null : projectPoolId.trim();
    }

    public BigDecimal getMarketPrice() {
        return marketPrice;
    }

    public void setMarketPrice(BigDecimal marketPrice) {
        this.marketPrice = marketPrice;
    }

    public BigDecimal getEarnings() {
        return earnings;
    }

    public void setEarnings(BigDecimal earnings) {
        this.earnings = earnings;
    }

    public BigDecimal getEarnings1() {
        return earnings1;
    }

    public void setEarnings1(BigDecimal earnings1) {
        this.earnings1 = earnings1;
    }

    public BigDecimal getGrowthRate() {
        return growthRate;
    }

    public void setGrowthRate(BigDecimal growthRate) {
        this.growthRate = growthRate;
    }

    public BigDecimal getGrowthRate1() {
        return growthRate1;
    }

    public void setGrowthRate1(BigDecimal growthRate1) {
        this.growthRate1 = growthRate1;
    }

    public BigDecimal getNetWorth() {
        return netWorth;
    }

    public void setNetWorth(BigDecimal netWorth) {
        this.netWorth = netWorth;
    }

    public BigDecimal getNetWorth1() {
        return netWorth1;
    }

    public void setNetWorth1(BigDecimal netWorth1) {
        this.netWorth1 = netWorth1;
    }

    public BigDecimal getNetInterest() {
        return netInterest;
    }

    public void setNetInterest(BigDecimal netInterest) {
        this.netInterest = netInterest;
    }

    public BigDecimal getNetInterest1() {
        return netInterest1;
    }

    public void setNetInterest1(BigDecimal netInterest1) {
        this.netInterest1 = netInterest1;
    }

    public BigDecimal getOperatingIncome() {
        return operatingIncome;
    }

    public void setOperatingIncome(BigDecimal operatingIncome) {
        this.operatingIncome = operatingIncome;
    }

    public BigDecimal getOperatingIncome1() {
        return operatingIncome1;
    }

    public void setOperatingIncome1(BigDecimal operatingIncome1) {
        this.operatingIncome1 = operatingIncome1;
    }

    public BigDecimal getNetOperatinginterestRate() {
        return netOperatinginterestRate;
    }

    public void setNetOperatinginterestRate(BigDecimal netOperatinginterestRate) {
        this.netOperatinginterestRate = netOperatinginterestRate;
    }

    public BigDecimal getNetOperatinginterestRate1() {
        return netOperatinginterestRate1;
    }

    public void setNetOperatinginterestRate1(BigDecimal netOperatinginterestRate1) {
        this.netOperatinginterestRate1 = netOperatinginterestRate1;
    }

    public Integer getMethodId() {
        return methodId;
    }

    public void setMethodId(Integer methodId) {
        this.methodId = methodId;
    }
}