package com.sztzjy.fund_investment.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class IssuanceInfoExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public IssuanceInfoExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andFlowIdIsNull() {
            addCriterion("flow_id is null");
            return (Criteria) this;
        }

        public Criteria andFlowIdIsNotNull() {
            addCriterion("flow_id is not null");
            return (Criteria) this;
        }

        public Criteria andFlowIdEqualTo(String value) {
            addCriterion("flow_id =", value, "flowId");
            return (Criteria) this;
        }

        public Criteria andFlowIdNotEqualTo(String value) {
            addCriterion("flow_id <>", value, "flowId");
            return (Criteria) this;
        }

        public Criteria andFlowIdGreaterThan(String value) {
            addCriterion("flow_id >", value, "flowId");
            return (Criteria) this;
        }

        public Criteria andFlowIdGreaterThanOrEqualTo(String value) {
            addCriterion("flow_id >=", value, "flowId");
            return (Criteria) this;
        }

        public Criteria andFlowIdLessThan(String value) {
            addCriterion("flow_id <", value, "flowId");
            return (Criteria) this;
        }

        public Criteria andFlowIdLessThanOrEqualTo(String value) {
            addCriterion("flow_id <=", value, "flowId");
            return (Criteria) this;
        }

        public Criteria andFlowIdLike(String value) {
            addCriterion("flow_id like", value, "flowId");
            return (Criteria) this;
        }

        public Criteria andFlowIdNotLike(String value) {
            addCriterion("flow_id not like", value, "flowId");
            return (Criteria) this;
        }

        public Criteria andFlowIdIn(List<String> values) {
            addCriterion("flow_id in", values, "flowId");
            return (Criteria) this;
        }

        public Criteria andFlowIdNotIn(List<String> values) {
            addCriterion("flow_id not in", values, "flowId");
            return (Criteria) this;
        }

        public Criteria andFlowIdBetween(String value1, String value2) {
            addCriterion("flow_id between", value1, value2, "flowId");
            return (Criteria) this;
        }

        public Criteria andFlowIdNotBetween(String value1, String value2) {
            addCriterion("flow_id not between", value1, value2, "flowId");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNull() {
            addCriterion("company_name is null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNotNull() {
            addCriterion("company_name is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameEqualTo(String value) {
            addCriterion("company_name =", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotEqualTo(String value) {
            addCriterion("company_name <>", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThan(String value) {
            addCriterion("company_name >", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThanOrEqualTo(String value) {
            addCriterion("company_name >=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThan(String value) {
            addCriterion("company_name <", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThanOrEqualTo(String value) {
            addCriterion("company_name <=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLike(String value) {
            addCriterion("company_name like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotLike(String value) {
            addCriterion("company_name not like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIn(List<String> values) {
            addCriterion("company_name in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotIn(List<String> values) {
            addCriterion("company_name not in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameBetween(String value1, String value2) {
            addCriterion("company_name between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotBetween(String value1, String value2) {
            addCriterion("company_name not between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andSecurityCodeIsNull() {
            addCriterion("security_code is null");
            return (Criteria) this;
        }

        public Criteria andSecurityCodeIsNotNull() {
            addCriterion("security_code is not null");
            return (Criteria) this;
        }

        public Criteria andSecurityCodeEqualTo(String value) {
            addCriterion("security_code =", value, "securityCode");
            return (Criteria) this;
        }

        public Criteria andSecurityCodeNotEqualTo(String value) {
            addCriterion("security_code <>", value, "securityCode");
            return (Criteria) this;
        }

        public Criteria andSecurityCodeGreaterThan(String value) {
            addCriterion("security_code >", value, "securityCode");
            return (Criteria) this;
        }

        public Criteria andSecurityCodeGreaterThanOrEqualTo(String value) {
            addCriterion("security_code >=", value, "securityCode");
            return (Criteria) this;
        }

        public Criteria andSecurityCodeLessThan(String value) {
            addCriterion("security_code <", value, "securityCode");
            return (Criteria) this;
        }

        public Criteria andSecurityCodeLessThanOrEqualTo(String value) {
            addCriterion("security_code <=", value, "securityCode");
            return (Criteria) this;
        }

        public Criteria andSecurityCodeLike(String value) {
            addCriterion("security_code like", value, "securityCode");
            return (Criteria) this;
        }

        public Criteria andSecurityCodeNotLike(String value) {
            addCriterion("security_code not like", value, "securityCode");
            return (Criteria) this;
        }

        public Criteria andSecurityCodeIn(List<String> values) {
            addCriterion("security_code in", values, "securityCode");
            return (Criteria) this;
        }

        public Criteria andSecurityCodeNotIn(List<String> values) {
            addCriterion("security_code not in", values, "securityCode");
            return (Criteria) this;
        }

        public Criteria andSecurityCodeBetween(String value1, String value2) {
            addCriterion("security_code between", value1, value2, "securityCode");
            return (Criteria) this;
        }

        public Criteria andSecurityCodeNotBetween(String value1, String value2) {
            addCriterion("security_code not between", value1, value2, "securityCode");
            return (Criteria) this;
        }

        public Criteria andMinimumNonRestrictedASharesMarketValueIsNull() {
            addCriterion("minimum_non_restricted_A_shares_market_value is null");
            return (Criteria) this;
        }

        public Criteria andMinimumNonRestrictedASharesMarketValueIsNotNull() {
            addCriterion("minimum_non_restricted_A_shares_market_value is not null");
            return (Criteria) this;
        }

        public Criteria andMinimumNonRestrictedASharesMarketValueEqualTo(BigDecimal value) {
            addCriterion("minimum_non_restricted_A_shares_market_value =", value, "minimumNonRestrictedASharesMarketValue");
            return (Criteria) this;
        }

        public Criteria andMinimumNonRestrictedASharesMarketValueNotEqualTo(BigDecimal value) {
            addCriterion("minimum_non_restricted_A_shares_market_value <>", value, "minimumNonRestrictedASharesMarketValue");
            return (Criteria) this;
        }

        public Criteria andMinimumNonRestrictedASharesMarketValueGreaterThan(BigDecimal value) {
            addCriterion("minimum_non_restricted_A_shares_market_value >", value, "minimumNonRestrictedASharesMarketValue");
            return (Criteria) this;
        }

        public Criteria andMinimumNonRestrictedASharesMarketValueGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("minimum_non_restricted_A_shares_market_value >=", value, "minimumNonRestrictedASharesMarketValue");
            return (Criteria) this;
        }

        public Criteria andMinimumNonRestrictedASharesMarketValueLessThan(BigDecimal value) {
            addCriterion("minimum_non_restricted_A_shares_market_value <", value, "minimumNonRestrictedASharesMarketValue");
            return (Criteria) this;
        }

        public Criteria andMinimumNonRestrictedASharesMarketValueLessThanOrEqualTo(BigDecimal value) {
            addCriterion("minimum_non_restricted_A_shares_market_value <=", value, "minimumNonRestrictedASharesMarketValue");
            return (Criteria) this;
        }

        public Criteria andMinimumNonRestrictedASharesMarketValueIn(List<BigDecimal> values) {
            addCriterion("minimum_non_restricted_A_shares_market_value in", values, "minimumNonRestrictedASharesMarketValue");
            return (Criteria) this;
        }

        public Criteria andMinimumNonRestrictedASharesMarketValueNotIn(List<BigDecimal> values) {
            addCriterion("minimum_non_restricted_A_shares_market_value not in", values, "minimumNonRestrictedASharesMarketValue");
            return (Criteria) this;
        }

        public Criteria andMinimumNonRestrictedASharesMarketValueBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("minimum_non_restricted_A_shares_market_value between", value1, value2, "minimumNonRestrictedASharesMarketValue");
            return (Criteria) this;
        }

        public Criteria andMinimumNonRestrictedASharesMarketValueNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("minimum_non_restricted_A_shares_market_value not between", value1, value2, "minimumNonRestrictedASharesMarketValue");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryStartDateIsNull() {
            addCriterion("initial_inquiry_start_date is null");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryStartDateIsNotNull() {
            addCriterion("initial_inquiry_start_date is not null");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryStartDateEqualTo(Date value) {
            addCriterionForJDBCDate("initial_inquiry_start_date =", value, "initialInquiryStartDate");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryStartDateNotEqualTo(Date value) {
            addCriterionForJDBCDate("initial_inquiry_start_date <>", value, "initialInquiryStartDate");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryStartDateGreaterThan(Date value) {
            addCriterionForJDBCDate("initial_inquiry_start_date >", value, "initialInquiryStartDate");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryStartDateGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("initial_inquiry_start_date >=", value, "initialInquiryStartDate");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryStartDateLessThan(Date value) {
            addCriterionForJDBCDate("initial_inquiry_start_date <", value, "initialInquiryStartDate");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryStartDateLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("initial_inquiry_start_date <=", value, "initialInquiryStartDate");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryStartDateIn(List<Date> values) {
            addCriterionForJDBCDate("initial_inquiry_start_date in", values, "initialInquiryStartDate");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryStartDateNotIn(List<Date> values) {
            addCriterionForJDBCDate("initial_inquiry_start_date not in", values, "initialInquiryStartDate");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryStartDateBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("initial_inquiry_start_date between", value1, value2, "initialInquiryStartDate");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryStartDateNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("initial_inquiry_start_date not between", value1, value2, "initialInquiryStartDate");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionStartDateIsNull() {
            addCriterion("offline_subscription_start_date is null");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionStartDateIsNotNull() {
            addCriterion("offline_subscription_start_date is not null");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionStartDateEqualTo(Date value) {
            addCriterionForJDBCDate("offline_subscription_start_date =", value, "offlineSubscriptionStartDate");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionStartDateNotEqualTo(Date value) {
            addCriterionForJDBCDate("offline_subscription_start_date <>", value, "offlineSubscriptionStartDate");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionStartDateGreaterThan(Date value) {
            addCriterionForJDBCDate("offline_subscription_start_date >", value, "offlineSubscriptionStartDate");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionStartDateGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("offline_subscription_start_date >=", value, "offlineSubscriptionStartDate");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionStartDateLessThan(Date value) {
            addCriterionForJDBCDate("offline_subscription_start_date <", value, "offlineSubscriptionStartDate");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionStartDateLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("offline_subscription_start_date <=", value, "offlineSubscriptionStartDate");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionStartDateIn(List<Date> values) {
            addCriterionForJDBCDate("offline_subscription_start_date in", values, "offlineSubscriptionStartDate");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionStartDateNotIn(List<Date> values) {
            addCriterionForJDBCDate("offline_subscription_start_date not in", values, "offlineSubscriptionStartDate");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionStartDateBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("offline_subscription_start_date between", value1, value2, "offlineSubscriptionStartDate");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionStartDateNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("offline_subscription_start_date not between", value1, value2, "offlineSubscriptionStartDate");
            return (Criteria) this;
        }

        public Criteria andTotalIssuanceVolumeIsNull() {
            addCriterion("total_issuance_volume is null");
            return (Criteria) this;
        }

        public Criteria andTotalIssuanceVolumeIsNotNull() {
            addCriterion("total_issuance_volume is not null");
            return (Criteria) this;
        }

        public Criteria andTotalIssuanceVolumeEqualTo(BigDecimal value) {
            addCriterion("total_issuance_volume =", value, "totalIssuanceVolume");
            return (Criteria) this;
        }

        public Criteria andTotalIssuanceVolumeNotEqualTo(BigDecimal value) {
            addCriterion("total_issuance_volume <>", value, "totalIssuanceVolume");
            return (Criteria) this;
        }

        public Criteria andTotalIssuanceVolumeGreaterThan(BigDecimal value) {
            addCriterion("total_issuance_volume >", value, "totalIssuanceVolume");
            return (Criteria) this;
        }

        public Criteria andTotalIssuanceVolumeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_issuance_volume >=", value, "totalIssuanceVolume");
            return (Criteria) this;
        }

        public Criteria andTotalIssuanceVolumeLessThan(BigDecimal value) {
            addCriterion("total_issuance_volume <", value, "totalIssuanceVolume");
            return (Criteria) this;
        }

        public Criteria andTotalIssuanceVolumeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_issuance_volume <=", value, "totalIssuanceVolume");
            return (Criteria) this;
        }

        public Criteria andTotalIssuanceVolumeIn(List<BigDecimal> values) {
            addCriterion("total_issuance_volume in", values, "totalIssuanceVolume");
            return (Criteria) this;
        }

        public Criteria andTotalIssuanceVolumeNotIn(List<BigDecimal> values) {
            addCriterion("total_issuance_volume not in", values, "totalIssuanceVolume");
            return (Criteria) this;
        }

        public Criteria andTotalIssuanceVolumeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_issuance_volume between", value1, value2, "totalIssuanceVolume");
            return (Criteria) this;
        }

        public Criteria andTotalIssuanceVolumeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_issuance_volume not between", value1, value2, "totalIssuanceVolume");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeIsNull() {
            addCriterion("minimum_subscription_volume is null");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeIsNotNull() {
            addCriterion("minimum_subscription_volume is not null");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeEqualTo(BigDecimal value) {
            addCriterion("minimum_subscription_volume =", value, "minimumSubscriptionVolume");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeNotEqualTo(BigDecimal value) {
            addCriterion("minimum_subscription_volume <>", value, "minimumSubscriptionVolume");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeGreaterThan(BigDecimal value) {
            addCriterion("minimum_subscription_volume >", value, "minimumSubscriptionVolume");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("minimum_subscription_volume >=", value, "minimumSubscriptionVolume");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeLessThan(BigDecimal value) {
            addCriterion("minimum_subscription_volume <", value, "minimumSubscriptionVolume");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("minimum_subscription_volume <=", value, "minimumSubscriptionVolume");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeIn(List<BigDecimal> values) {
            addCriterion("minimum_subscription_volume in", values, "minimumSubscriptionVolume");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeNotIn(List<BigDecimal> values) {
            addCriterion("minimum_subscription_volume not in", values, "minimumSubscriptionVolume");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("minimum_subscription_volume between", value1, value2, "minimumSubscriptionVolume");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("minimum_subscription_volume not between", value1, value2, "minimumSubscriptionVolume");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeChangeUnitIsNull() {
            addCriterion("minimum_subscription_volume_change_unit is null");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeChangeUnitIsNotNull() {
            addCriterion("minimum_subscription_volume_change_unit is not null");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeChangeUnitEqualTo(BigDecimal value) {
            addCriterion("minimum_subscription_volume_change_unit =", value, "minimumSubscriptionVolumeChangeUnit");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeChangeUnitNotEqualTo(BigDecimal value) {
            addCriterion("minimum_subscription_volume_change_unit <>", value, "minimumSubscriptionVolumeChangeUnit");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeChangeUnitGreaterThan(BigDecimal value) {
            addCriterion("minimum_subscription_volume_change_unit >", value, "minimumSubscriptionVolumeChangeUnit");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeChangeUnitGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("minimum_subscription_volume_change_unit >=", value, "minimumSubscriptionVolumeChangeUnit");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeChangeUnitLessThan(BigDecimal value) {
            addCriterion("minimum_subscription_volume_change_unit <", value, "minimumSubscriptionVolumeChangeUnit");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeChangeUnitLessThanOrEqualTo(BigDecimal value) {
            addCriterion("minimum_subscription_volume_change_unit <=", value, "minimumSubscriptionVolumeChangeUnit");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeChangeUnitIn(List<BigDecimal> values) {
            addCriterion("minimum_subscription_volume_change_unit in", values, "minimumSubscriptionVolumeChangeUnit");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeChangeUnitNotIn(List<BigDecimal> values) {
            addCriterion("minimum_subscription_volume_change_unit not in", values, "minimumSubscriptionVolumeChangeUnit");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeChangeUnitBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("minimum_subscription_volume_change_unit between", value1, value2, "minimumSubscriptionVolumeChangeUnit");
            return (Criteria) this;
        }

        public Criteria andMinimumSubscriptionVolumeChangeUnitNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("minimum_subscription_volume_change_unit not between", value1, value2, "minimumSubscriptionVolumeChangeUnit");
            return (Criteria) this;
        }

        public Criteria andMaximumPriceToMinimumPriceRatioIsNull() {
            addCriterion("maximum_price_to_minimum_price_ratio is null");
            return (Criteria) this;
        }

        public Criteria andMaximumPriceToMinimumPriceRatioIsNotNull() {
            addCriterion("maximum_price_to_minimum_price_ratio is not null");
            return (Criteria) this;
        }

        public Criteria andMaximumPriceToMinimumPriceRatioEqualTo(BigDecimal value) {
            addCriterion("maximum_price_to_minimum_price_ratio =", value, "maximumPriceToMinimumPriceRatio");
            return (Criteria) this;
        }

        public Criteria andMaximumPriceToMinimumPriceRatioNotEqualTo(BigDecimal value) {
            addCriterion("maximum_price_to_minimum_price_ratio <>", value, "maximumPriceToMinimumPriceRatio");
            return (Criteria) this;
        }

        public Criteria andMaximumPriceToMinimumPriceRatioGreaterThan(BigDecimal value) {
            addCriterion("maximum_price_to_minimum_price_ratio >", value, "maximumPriceToMinimumPriceRatio");
            return (Criteria) this;
        }

        public Criteria andMaximumPriceToMinimumPriceRatioGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("maximum_price_to_minimum_price_ratio >=", value, "maximumPriceToMinimumPriceRatio");
            return (Criteria) this;
        }

        public Criteria andMaximumPriceToMinimumPriceRatioLessThan(BigDecimal value) {
            addCriterion("maximum_price_to_minimum_price_ratio <", value, "maximumPriceToMinimumPriceRatio");
            return (Criteria) this;
        }

        public Criteria andMaximumPriceToMinimumPriceRatioLessThanOrEqualTo(BigDecimal value) {
            addCriterion("maximum_price_to_minimum_price_ratio <=", value, "maximumPriceToMinimumPriceRatio");
            return (Criteria) this;
        }

        public Criteria andMaximumPriceToMinimumPriceRatioIn(List<BigDecimal> values) {
            addCriterion("maximum_price_to_minimum_price_ratio in", values, "maximumPriceToMinimumPriceRatio");
            return (Criteria) this;
        }

        public Criteria andMaximumPriceToMinimumPriceRatioNotIn(List<BigDecimal> values) {
            addCriterion("maximum_price_to_minimum_price_ratio not in", values, "maximumPriceToMinimumPriceRatio");
            return (Criteria) this;
        }

        public Criteria andMaximumPriceToMinimumPriceRatioBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("maximum_price_to_minimum_price_ratio between", value1, value2, "maximumPriceToMinimumPriceRatio");
            return (Criteria) this;
        }

        public Criteria andMaximumPriceToMinimumPriceRatioNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("maximum_price_to_minimum_price_ratio not between", value1, value2, "maximumPriceToMinimumPriceRatio");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationLowerLimitIsNull() {
            addCriterion("lead_underwriter_PE_ratio_valuation_lower_limit is null");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationLowerLimitIsNotNull() {
            addCriterion("lead_underwriter_PE_ratio_valuation_lower_limit is not null");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationLowerLimitEqualTo(BigDecimal value) {
            addCriterion("lead_underwriter_PE_ratio_valuation_lower_limit =", value, "leadUnderwriterPeRatioValuationLowerLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationLowerLimitNotEqualTo(BigDecimal value) {
            addCriterion("lead_underwriter_PE_ratio_valuation_lower_limit <>", value, "leadUnderwriterPeRatioValuationLowerLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationLowerLimitGreaterThan(BigDecimal value) {
            addCriterion("lead_underwriter_PE_ratio_valuation_lower_limit >", value, "leadUnderwriterPeRatioValuationLowerLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationLowerLimitGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("lead_underwriter_PE_ratio_valuation_lower_limit >=", value, "leadUnderwriterPeRatioValuationLowerLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationLowerLimitLessThan(BigDecimal value) {
            addCriterion("lead_underwriter_PE_ratio_valuation_lower_limit <", value, "leadUnderwriterPeRatioValuationLowerLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationLowerLimitLessThanOrEqualTo(BigDecimal value) {
            addCriterion("lead_underwriter_PE_ratio_valuation_lower_limit <=", value, "leadUnderwriterPeRatioValuationLowerLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationLowerLimitIn(List<BigDecimal> values) {
            addCriterion("lead_underwriter_PE_ratio_valuation_lower_limit in", values, "leadUnderwriterPeRatioValuationLowerLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationLowerLimitNotIn(List<BigDecimal> values) {
            addCriterion("lead_underwriter_PE_ratio_valuation_lower_limit not in", values, "leadUnderwriterPeRatioValuationLowerLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationLowerLimitBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("lead_underwriter_PE_ratio_valuation_lower_limit between", value1, value2, "leadUnderwriterPeRatioValuationLowerLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationLowerLimitNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("lead_underwriter_PE_ratio_valuation_lower_limit not between", value1, value2, "leadUnderwriterPeRatioValuationLowerLimit");
            return (Criteria) this;
        }

        public Criteria andSettlementReserveAccountOpenedIsNull() {
            addCriterion("settlement_reserve_account_opened is null");
            return (Criteria) this;
        }

        public Criteria andSettlementReserveAccountOpenedIsNotNull() {
            addCriterion("settlement_reserve_account_opened is not null");
            return (Criteria) this;
        }

        public Criteria andSettlementReserveAccountOpenedEqualTo(Byte value) {
            addCriterion("settlement_reserve_account_opened =", value, "settlementReserveAccountOpened");
            return (Criteria) this;
        }

        public Criteria andSettlementReserveAccountOpenedNotEqualTo(Byte value) {
            addCriterion("settlement_reserve_account_opened <>", value, "settlementReserveAccountOpened");
            return (Criteria) this;
        }

        public Criteria andSettlementReserveAccountOpenedGreaterThan(Byte value) {
            addCriterion("settlement_reserve_account_opened >", value, "settlementReserveAccountOpened");
            return (Criteria) this;
        }

        public Criteria andSettlementReserveAccountOpenedGreaterThanOrEqualTo(Byte value) {
            addCriterion("settlement_reserve_account_opened >=", value, "settlementReserveAccountOpened");
            return (Criteria) this;
        }

        public Criteria andSettlementReserveAccountOpenedLessThan(Byte value) {
            addCriterion("settlement_reserve_account_opened <", value, "settlementReserveAccountOpened");
            return (Criteria) this;
        }

        public Criteria andSettlementReserveAccountOpenedLessThanOrEqualTo(Byte value) {
            addCriterion("settlement_reserve_account_opened <=", value, "settlementReserveAccountOpened");
            return (Criteria) this;
        }

        public Criteria andSettlementReserveAccountOpenedIn(List<Byte> values) {
            addCriterion("settlement_reserve_account_opened in", values, "settlementReserveAccountOpened");
            return (Criteria) this;
        }

        public Criteria andSettlementReserveAccountOpenedNotIn(List<Byte> values) {
            addCriterion("settlement_reserve_account_opened not in", values, "settlementReserveAccountOpened");
            return (Criteria) this;
        }

        public Criteria andSettlementReserveAccountOpenedBetween(Byte value1, Byte value2) {
            addCriterion("settlement_reserve_account_opened between", value1, value2, "settlementReserveAccountOpened");
            return (Criteria) this;
        }

        public Criteria andSettlementReserveAccountOpenedNotBetween(Byte value1, Byte value2) {
            addCriterion("settlement_reserve_account_opened not between", value1, value2, "settlementReserveAccountOpened");
            return (Criteria) this;
        }

        public Criteria andRemainingShareRegistrationAccountShenzhenIsNull() {
            addCriterion("remaining_share_registration_account_shenzhen is null");
            return (Criteria) this;
        }

        public Criteria andRemainingShareRegistrationAccountShenzhenIsNotNull() {
            addCriterion("remaining_share_registration_account_shenzhen is not null");
            return (Criteria) this;
        }

        public Criteria andRemainingShareRegistrationAccountShenzhenEqualTo(String value) {
            addCriterion("remaining_share_registration_account_shenzhen =", value, "remainingShareRegistrationAccountShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareRegistrationAccountShenzhenNotEqualTo(String value) {
            addCriterion("remaining_share_registration_account_shenzhen <>", value, "remainingShareRegistrationAccountShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareRegistrationAccountShenzhenGreaterThan(String value) {
            addCriterion("remaining_share_registration_account_shenzhen >", value, "remainingShareRegistrationAccountShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareRegistrationAccountShenzhenGreaterThanOrEqualTo(String value) {
            addCriterion("remaining_share_registration_account_shenzhen >=", value, "remainingShareRegistrationAccountShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareRegistrationAccountShenzhenLessThan(String value) {
            addCriterion("remaining_share_registration_account_shenzhen <", value, "remainingShareRegistrationAccountShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareRegistrationAccountShenzhenLessThanOrEqualTo(String value) {
            addCriterion("remaining_share_registration_account_shenzhen <=", value, "remainingShareRegistrationAccountShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareRegistrationAccountShenzhenLike(String value) {
            addCriterion("remaining_share_registration_account_shenzhen like", value, "remainingShareRegistrationAccountShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareRegistrationAccountShenzhenNotLike(String value) {
            addCriterion("remaining_share_registration_account_shenzhen not like", value, "remainingShareRegistrationAccountShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareRegistrationAccountShenzhenIn(List<String> values) {
            addCriterion("remaining_share_registration_account_shenzhen in", values, "remainingShareRegistrationAccountShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareRegistrationAccountShenzhenNotIn(List<String> values) {
            addCriterion("remaining_share_registration_account_shenzhen not in", values, "remainingShareRegistrationAccountShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareRegistrationAccountShenzhenBetween(String value1, String value2) {
            addCriterion("remaining_share_registration_account_shenzhen between", value1, value2, "remainingShareRegistrationAccountShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareRegistrationAccountShenzhenNotBetween(String value1, String value2) {
            addCriterion("remaining_share_registration_account_shenzhen not between", value1, value2, "remainingShareRegistrationAccountShenzhen");
            return (Criteria) this;
        }

        public Criteria andJointUnderwritersIsNull() {
            addCriterion("joint_underwriters is null");
            return (Criteria) this;
        }

        public Criteria andJointUnderwritersIsNotNull() {
            addCriterion("joint_underwriters is not null");
            return (Criteria) this;
        }

        public Criteria andJointUnderwritersEqualTo(String value) {
            addCriterion("joint_underwriters =", value, "jointUnderwriters");
            return (Criteria) this;
        }

        public Criteria andJointUnderwritersNotEqualTo(String value) {
            addCriterion("joint_underwriters <>", value, "jointUnderwriters");
            return (Criteria) this;
        }

        public Criteria andJointUnderwritersGreaterThan(String value) {
            addCriterion("joint_underwriters >", value, "jointUnderwriters");
            return (Criteria) this;
        }

        public Criteria andJointUnderwritersGreaterThanOrEqualTo(String value) {
            addCriterion("joint_underwriters >=", value, "jointUnderwriters");
            return (Criteria) this;
        }

        public Criteria andJointUnderwritersLessThan(String value) {
            addCriterion("joint_underwriters <", value, "jointUnderwriters");
            return (Criteria) this;
        }

        public Criteria andJointUnderwritersLessThanOrEqualTo(String value) {
            addCriterion("joint_underwriters <=", value, "jointUnderwriters");
            return (Criteria) this;
        }

        public Criteria andJointUnderwritersLike(String value) {
            addCriterion("joint_underwriters like", value, "jointUnderwriters");
            return (Criteria) this;
        }

        public Criteria andJointUnderwritersNotLike(String value) {
            addCriterion("joint_underwriters not like", value, "jointUnderwriters");
            return (Criteria) this;
        }

        public Criteria andJointUnderwritersIn(List<String> values) {
            addCriterion("joint_underwriters in", values, "jointUnderwriters");
            return (Criteria) this;
        }

        public Criteria andJointUnderwritersNotIn(List<String> values) {
            addCriterion("joint_underwriters not in", values, "jointUnderwriters");
            return (Criteria) this;
        }

        public Criteria andJointUnderwritersBetween(String value1, String value2) {
            addCriterion("joint_underwriters between", value1, value2, "jointUnderwriters");
            return (Criteria) this;
        }

        public Criteria andJointUnderwritersNotBetween(String value1, String value2) {
            addCriterion("joint_underwriters not between", value1, value2, "jointUnderwriters");
            return (Criteria) this;
        }

        public Criteria andSecurityAbbreviationIsNull() {
            addCriterion("security_abbreviation is null");
            return (Criteria) this;
        }

        public Criteria andSecurityAbbreviationIsNotNull() {
            addCriterion("security_abbreviation is not null");
            return (Criteria) this;
        }

        public Criteria andSecurityAbbreviationEqualTo(String value) {
            addCriterion("security_abbreviation =", value, "securityAbbreviation");
            return (Criteria) this;
        }

        public Criteria andSecurityAbbreviationNotEqualTo(String value) {
            addCriterion("security_abbreviation <>", value, "securityAbbreviation");
            return (Criteria) this;
        }

        public Criteria andSecurityAbbreviationGreaterThan(String value) {
            addCriterion("security_abbreviation >", value, "securityAbbreviation");
            return (Criteria) this;
        }

        public Criteria andSecurityAbbreviationGreaterThanOrEqualTo(String value) {
            addCriterion("security_abbreviation >=", value, "securityAbbreviation");
            return (Criteria) this;
        }

        public Criteria andSecurityAbbreviationLessThan(String value) {
            addCriterion("security_abbreviation <", value, "securityAbbreviation");
            return (Criteria) this;
        }

        public Criteria andSecurityAbbreviationLessThanOrEqualTo(String value) {
            addCriterion("security_abbreviation <=", value, "securityAbbreviation");
            return (Criteria) this;
        }

        public Criteria andSecurityAbbreviationLike(String value) {
            addCriterion("security_abbreviation like", value, "securityAbbreviation");
            return (Criteria) this;
        }

        public Criteria andSecurityAbbreviationNotLike(String value) {
            addCriterion("security_abbreviation not like", value, "securityAbbreviation");
            return (Criteria) this;
        }

        public Criteria andSecurityAbbreviationIn(List<String> values) {
            addCriterion("security_abbreviation in", values, "securityAbbreviation");
            return (Criteria) this;
        }

        public Criteria andSecurityAbbreviationNotIn(List<String> values) {
            addCriterion("security_abbreviation not in", values, "securityAbbreviation");
            return (Criteria) this;
        }

        public Criteria andSecurityAbbreviationBetween(String value1, String value2) {
            addCriterion("security_abbreviation between", value1, value2, "securityAbbreviation");
            return (Criteria) this;
        }

        public Criteria andSecurityAbbreviationNotBetween(String value1, String value2) {
            addCriterion("security_abbreviation not between", value1, value2, "securityAbbreviation");
            return (Criteria) this;
        }

        public Criteria andPricingMethodIsNull() {
            addCriterion("pricing_method is null");
            return (Criteria) this;
        }

        public Criteria andPricingMethodIsNotNull() {
            addCriterion("pricing_method is not null");
            return (Criteria) this;
        }

        public Criteria andPricingMethodEqualTo(String value) {
            addCriterion("pricing_method =", value, "pricingMethod");
            return (Criteria) this;
        }

        public Criteria andPricingMethodNotEqualTo(String value) {
            addCriterion("pricing_method <>", value, "pricingMethod");
            return (Criteria) this;
        }

        public Criteria andPricingMethodGreaterThan(String value) {
            addCriterion("pricing_method >", value, "pricingMethod");
            return (Criteria) this;
        }

        public Criteria andPricingMethodGreaterThanOrEqualTo(String value) {
            addCriterion("pricing_method >=", value, "pricingMethod");
            return (Criteria) this;
        }

        public Criteria andPricingMethodLessThan(String value) {
            addCriterion("pricing_method <", value, "pricingMethod");
            return (Criteria) this;
        }

        public Criteria andPricingMethodLessThanOrEqualTo(String value) {
            addCriterion("pricing_method <=", value, "pricingMethod");
            return (Criteria) this;
        }

        public Criteria andPricingMethodLike(String value) {
            addCriterion("pricing_method like", value, "pricingMethod");
            return (Criteria) this;
        }

        public Criteria andPricingMethodNotLike(String value) {
            addCriterion("pricing_method not like", value, "pricingMethod");
            return (Criteria) this;
        }

        public Criteria andPricingMethodIn(List<String> values) {
            addCriterion("pricing_method in", values, "pricingMethod");
            return (Criteria) this;
        }

        public Criteria andPricingMethodNotIn(List<String> values) {
            addCriterion("pricing_method not in", values, "pricingMethod");
            return (Criteria) this;
        }

        public Criteria andPricingMethodBetween(String value1, String value2) {
            addCriterion("pricing_method between", value1, value2, "pricingMethod");
            return (Criteria) this;
        }

        public Criteria andPricingMethodNotBetween(String value1, String value2) {
            addCriterion("pricing_method not between", value1, value2, "pricingMethod");
            return (Criteria) this;
        }

        public Criteria andVoluntaryLockupPeriodIsNull() {
            addCriterion("voluntary_lockup_period is null");
            return (Criteria) this;
        }

        public Criteria andVoluntaryLockupPeriodIsNotNull() {
            addCriterion("voluntary_lockup_period is not null");
            return (Criteria) this;
        }

        public Criteria andVoluntaryLockupPeriodEqualTo(Byte value) {
            addCriterion("voluntary_lockup_period =", value, "voluntaryLockupPeriod");
            return (Criteria) this;
        }

        public Criteria andVoluntaryLockupPeriodNotEqualTo(Byte value) {
            addCriterion("voluntary_lockup_period <>", value, "voluntaryLockupPeriod");
            return (Criteria) this;
        }

        public Criteria andVoluntaryLockupPeriodGreaterThan(Byte value) {
            addCriterion("voluntary_lockup_period >", value, "voluntaryLockupPeriod");
            return (Criteria) this;
        }

        public Criteria andVoluntaryLockupPeriodGreaterThanOrEqualTo(Byte value) {
            addCriterion("voluntary_lockup_period >=", value, "voluntaryLockupPeriod");
            return (Criteria) this;
        }

        public Criteria andVoluntaryLockupPeriodLessThan(Byte value) {
            addCriterion("voluntary_lockup_period <", value, "voluntaryLockupPeriod");
            return (Criteria) this;
        }

        public Criteria andVoluntaryLockupPeriodLessThanOrEqualTo(Byte value) {
            addCriterion("voluntary_lockup_period <=", value, "voluntaryLockupPeriod");
            return (Criteria) this;
        }

        public Criteria andVoluntaryLockupPeriodIn(List<Byte> values) {
            addCriterion("voluntary_lockup_period in", values, "voluntaryLockupPeriod");
            return (Criteria) this;
        }

        public Criteria andVoluntaryLockupPeriodNotIn(List<Byte> values) {
            addCriterion("voluntary_lockup_period not in", values, "voluntaryLockupPeriod");
            return (Criteria) this;
        }

        public Criteria andVoluntaryLockupPeriodBetween(Byte value1, Byte value2) {
            addCriterion("voluntary_lockup_period between", value1, value2, "voluntaryLockupPeriod");
            return (Criteria) this;
        }

        public Criteria andVoluntaryLockupPeriodNotBetween(Byte value1, Byte value2) {
            addCriterion("voluntary_lockup_period not between", value1, value2, "voluntaryLockupPeriod");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryDeadlineIsNull() {
            addCriterion("initial_inquiry_deadline is null");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryDeadlineIsNotNull() {
            addCriterion("initial_inquiry_deadline is not null");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryDeadlineEqualTo(Date value) {
            addCriterionForJDBCDate("initial_inquiry_deadline =", value, "initialInquiryDeadline");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryDeadlineNotEqualTo(Date value) {
            addCriterionForJDBCDate("initial_inquiry_deadline <>", value, "initialInquiryDeadline");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryDeadlineGreaterThan(Date value) {
            addCriterionForJDBCDate("initial_inquiry_deadline >", value, "initialInquiryDeadline");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryDeadlineGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("initial_inquiry_deadline >=", value, "initialInquiryDeadline");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryDeadlineLessThan(Date value) {
            addCriterionForJDBCDate("initial_inquiry_deadline <", value, "initialInquiryDeadline");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryDeadlineLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("initial_inquiry_deadline <=", value, "initialInquiryDeadline");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryDeadlineIn(List<Date> values) {
            addCriterionForJDBCDate("initial_inquiry_deadline in", values, "initialInquiryDeadline");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryDeadlineNotIn(List<Date> values) {
            addCriterionForJDBCDate("initial_inquiry_deadline not in", values, "initialInquiryDeadline");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryDeadlineBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("initial_inquiry_deadline between", value1, value2, "initialInquiryDeadline");
            return (Criteria) this;
        }

        public Criteria andInitialInquiryDeadlineNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("initial_inquiry_deadline not between", value1, value2, "initialInquiryDeadline");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionDeadlineIsNull() {
            addCriterion("offline_subscription_deadline is null");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionDeadlineIsNotNull() {
            addCriterion("offline_subscription_deadline is not null");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionDeadlineEqualTo(Date value) {
            addCriterionForJDBCDate("offline_subscription_deadline =", value, "offlineSubscriptionDeadline");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionDeadlineNotEqualTo(Date value) {
            addCriterionForJDBCDate("offline_subscription_deadline <>", value, "offlineSubscriptionDeadline");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionDeadlineGreaterThan(Date value) {
            addCriterionForJDBCDate("offline_subscription_deadline >", value, "offlineSubscriptionDeadline");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionDeadlineGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("offline_subscription_deadline >=", value, "offlineSubscriptionDeadline");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionDeadlineLessThan(Date value) {
            addCriterionForJDBCDate("offline_subscription_deadline <", value, "offlineSubscriptionDeadline");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionDeadlineLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("offline_subscription_deadline <=", value, "offlineSubscriptionDeadline");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionDeadlineIn(List<Date> values) {
            addCriterionForJDBCDate("offline_subscription_deadline in", values, "offlineSubscriptionDeadline");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionDeadlineNotIn(List<Date> values) {
            addCriterionForJDBCDate("offline_subscription_deadline not in", values, "offlineSubscriptionDeadline");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionDeadlineBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("offline_subscription_deadline between", value1, value2, "offlineSubscriptionDeadline");
            return (Criteria) this;
        }

        public Criteria andOfflineSubscriptionDeadlineNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("offline_subscription_deadline not between", value1, value2, "offlineSubscriptionDeadline");
            return (Criteria) this;
        }

        public Criteria andOfflineIssuanceQuantityIsNull() {
            addCriterion("offline_issuance_quantity is null");
            return (Criteria) this;
        }

        public Criteria andOfflineIssuanceQuantityIsNotNull() {
            addCriterion("offline_issuance_quantity is not null");
            return (Criteria) this;
        }

        public Criteria andOfflineIssuanceQuantityEqualTo(BigDecimal value) {
            addCriterion("offline_issuance_quantity =", value, "offlineIssuanceQuantity");
            return (Criteria) this;
        }

        public Criteria andOfflineIssuanceQuantityNotEqualTo(BigDecimal value) {
            addCriterion("offline_issuance_quantity <>", value, "offlineIssuanceQuantity");
            return (Criteria) this;
        }

        public Criteria andOfflineIssuanceQuantityGreaterThan(BigDecimal value) {
            addCriterion("offline_issuance_quantity >", value, "offlineIssuanceQuantity");
            return (Criteria) this;
        }

        public Criteria andOfflineIssuanceQuantityGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("offline_issuance_quantity >=", value, "offlineIssuanceQuantity");
            return (Criteria) this;
        }

        public Criteria andOfflineIssuanceQuantityLessThan(BigDecimal value) {
            addCriterion("offline_issuance_quantity <", value, "offlineIssuanceQuantity");
            return (Criteria) this;
        }

        public Criteria andOfflineIssuanceQuantityLessThanOrEqualTo(BigDecimal value) {
            addCriterion("offline_issuance_quantity <=", value, "offlineIssuanceQuantity");
            return (Criteria) this;
        }

        public Criteria andOfflineIssuanceQuantityIn(List<BigDecimal> values) {
            addCriterion("offline_issuance_quantity in", values, "offlineIssuanceQuantity");
            return (Criteria) this;
        }

        public Criteria andOfflineIssuanceQuantityNotIn(List<BigDecimal> values) {
            addCriterion("offline_issuance_quantity not in", values, "offlineIssuanceQuantity");
            return (Criteria) this;
        }

        public Criteria andOfflineIssuanceQuantityBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("offline_issuance_quantity between", value1, value2, "offlineIssuanceQuantity");
            return (Criteria) this;
        }

        public Criteria andOfflineIssuanceQuantityNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("offline_issuance_quantity not between", value1, value2, "offlineIssuanceQuantity");
            return (Criteria) this;
        }

        public Criteria andMaximumSubscriptionQuantityIsNull() {
            addCriterion("maximum_subscription_quantity is null");
            return (Criteria) this;
        }

        public Criteria andMaximumSubscriptionQuantityIsNotNull() {
            addCriterion("maximum_subscription_quantity is not null");
            return (Criteria) this;
        }

        public Criteria andMaximumSubscriptionQuantityEqualTo(BigDecimal value) {
            addCriterion("maximum_subscription_quantity =", value, "maximumSubscriptionQuantity");
            return (Criteria) this;
        }

        public Criteria andMaximumSubscriptionQuantityNotEqualTo(BigDecimal value) {
            addCriterion("maximum_subscription_quantity <>", value, "maximumSubscriptionQuantity");
            return (Criteria) this;
        }

        public Criteria andMaximumSubscriptionQuantityGreaterThan(BigDecimal value) {
            addCriterion("maximum_subscription_quantity >", value, "maximumSubscriptionQuantity");
            return (Criteria) this;
        }

        public Criteria andMaximumSubscriptionQuantityGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("maximum_subscription_quantity >=", value, "maximumSubscriptionQuantity");
            return (Criteria) this;
        }

        public Criteria andMaximumSubscriptionQuantityLessThan(BigDecimal value) {
            addCriterion("maximum_subscription_quantity <", value, "maximumSubscriptionQuantity");
            return (Criteria) this;
        }

        public Criteria andMaximumSubscriptionQuantityLessThanOrEqualTo(BigDecimal value) {
            addCriterion("maximum_subscription_quantity <=", value, "maximumSubscriptionQuantity");
            return (Criteria) this;
        }

        public Criteria andMaximumSubscriptionQuantityIn(List<BigDecimal> values) {
            addCriterion("maximum_subscription_quantity in", values, "maximumSubscriptionQuantity");
            return (Criteria) this;
        }

        public Criteria andMaximumSubscriptionQuantityNotIn(List<BigDecimal> values) {
            addCriterion("maximum_subscription_quantity not in", values, "maximumSubscriptionQuantity");
            return (Criteria) this;
        }

        public Criteria andMaximumSubscriptionQuantityBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("maximum_subscription_quantity between", value1, value2, "maximumSubscriptionQuantity");
            return (Criteria) this;
        }

        public Criteria andMaximumSubscriptionQuantityNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("maximum_subscription_quantity not between", value1, value2, "maximumSubscriptionQuantity");
            return (Criteria) this;
        }

        public Criteria andNumberOfPriceLevelsInInitialInquiryStageIsNull() {
            addCriterion("number_of_price_levels_in_initial_inquiry_stage is null");
            return (Criteria) this;
        }

        public Criteria andNumberOfPriceLevelsInInitialInquiryStageIsNotNull() {
            addCriterion("number_of_price_levels_in_initial_inquiry_stage is not null");
            return (Criteria) this;
        }

        public Criteria andNumberOfPriceLevelsInInitialInquiryStageEqualTo(Integer value) {
            addCriterion("number_of_price_levels_in_initial_inquiry_stage =", value, "numberOfPriceLevelsInInitialInquiryStage");
            return (Criteria) this;
        }

        public Criteria andNumberOfPriceLevelsInInitialInquiryStageNotEqualTo(Integer value) {
            addCriterion("number_of_price_levels_in_initial_inquiry_stage <>", value, "numberOfPriceLevelsInInitialInquiryStage");
            return (Criteria) this;
        }

        public Criteria andNumberOfPriceLevelsInInitialInquiryStageGreaterThan(Integer value) {
            addCriterion("number_of_price_levels_in_initial_inquiry_stage >", value, "numberOfPriceLevelsInInitialInquiryStage");
            return (Criteria) this;
        }

        public Criteria andNumberOfPriceLevelsInInitialInquiryStageGreaterThanOrEqualTo(Integer value) {
            addCriterion("number_of_price_levels_in_initial_inquiry_stage >=", value, "numberOfPriceLevelsInInitialInquiryStage");
            return (Criteria) this;
        }

        public Criteria andNumberOfPriceLevelsInInitialInquiryStageLessThan(Integer value) {
            addCriterion("number_of_price_levels_in_initial_inquiry_stage <", value, "numberOfPriceLevelsInInitialInquiryStage");
            return (Criteria) this;
        }

        public Criteria andNumberOfPriceLevelsInInitialInquiryStageLessThanOrEqualTo(Integer value) {
            addCriterion("number_of_price_levels_in_initial_inquiry_stage <=", value, "numberOfPriceLevelsInInitialInquiryStage");
            return (Criteria) this;
        }

        public Criteria andNumberOfPriceLevelsInInitialInquiryStageIn(List<Integer> values) {
            addCriterion("number_of_price_levels_in_initial_inquiry_stage in", values, "numberOfPriceLevelsInInitialInquiryStage");
            return (Criteria) this;
        }

        public Criteria andNumberOfPriceLevelsInInitialInquiryStageNotIn(List<Integer> values) {
            addCriterion("number_of_price_levels_in_initial_inquiry_stage not in", values, "numberOfPriceLevelsInInitialInquiryStage");
            return (Criteria) this;
        }

        public Criteria andNumberOfPriceLevelsInInitialInquiryStageBetween(Integer value1, Integer value2) {
            addCriterion("number_of_price_levels_in_initial_inquiry_stage between", value1, value2, "numberOfPriceLevelsInInitialInquiryStage");
            return (Criteria) this;
        }

        public Criteria andNumberOfPriceLevelsInInitialInquiryStageNotBetween(Integer value1, Integer value2) {
            addCriterion("number_of_price_levels_in_initial_inquiry_stage not between", value1, value2, "numberOfPriceLevelsInInitialInquiryStage");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationUpperLimitIsNull() {
            addCriterion("lead_underwriter_PE_ratio_valuation_upper_limit is null");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationUpperLimitIsNotNull() {
            addCriterion("lead_underwriter_PE_ratio_valuation_upper_limit is not null");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationUpperLimitEqualTo(BigDecimal value) {
            addCriterion("lead_underwriter_PE_ratio_valuation_upper_limit =", value, "leadUnderwriterPeRatioValuationUpperLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationUpperLimitNotEqualTo(BigDecimal value) {
            addCriterion("lead_underwriter_PE_ratio_valuation_upper_limit <>", value, "leadUnderwriterPeRatioValuationUpperLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationUpperLimitGreaterThan(BigDecimal value) {
            addCriterion("lead_underwriter_PE_ratio_valuation_upper_limit >", value, "leadUnderwriterPeRatioValuationUpperLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationUpperLimitGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("lead_underwriter_PE_ratio_valuation_upper_limit >=", value, "leadUnderwriterPeRatioValuationUpperLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationUpperLimitLessThan(BigDecimal value) {
            addCriterion("lead_underwriter_PE_ratio_valuation_upper_limit <", value, "leadUnderwriterPeRatioValuationUpperLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationUpperLimitLessThanOrEqualTo(BigDecimal value) {
            addCriterion("lead_underwriter_PE_ratio_valuation_upper_limit <=", value, "leadUnderwriterPeRatioValuationUpperLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationUpperLimitIn(List<BigDecimal> values) {
            addCriterion("lead_underwriter_PE_ratio_valuation_upper_limit in", values, "leadUnderwriterPeRatioValuationUpperLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationUpperLimitNotIn(List<BigDecimal> values) {
            addCriterion("lead_underwriter_PE_ratio_valuation_upper_limit not in", values, "leadUnderwriterPeRatioValuationUpperLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationUpperLimitBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("lead_underwriter_PE_ratio_valuation_upper_limit between", value1, value2, "leadUnderwriterPeRatioValuationUpperLimit");
            return (Criteria) this;
        }

        public Criteria andLeadUnderwriterPeRatioValuationUpperLimitNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("lead_underwriter_PE_ratio_valuation_upper_limit not between", value1, value2, "leadUnderwriterPeRatioValuationUpperLimit");
            return (Criteria) this;
        }

        public Criteria andReserveAccountIsNull() {
            addCriterion("reserve_account is null");
            return (Criteria) this;
        }

        public Criteria andReserveAccountIsNotNull() {
            addCriterion("reserve_account is not null");
            return (Criteria) this;
        }

        public Criteria andReserveAccountEqualTo(String value) {
            addCriterion("reserve_account =", value, "reserveAccount");
            return (Criteria) this;
        }

        public Criteria andReserveAccountNotEqualTo(String value) {
            addCriterion("reserve_account <>", value, "reserveAccount");
            return (Criteria) this;
        }

        public Criteria andReserveAccountGreaterThan(String value) {
            addCriterion("reserve_account >", value, "reserveAccount");
            return (Criteria) this;
        }

        public Criteria andReserveAccountGreaterThanOrEqualTo(String value) {
            addCriterion("reserve_account >=", value, "reserveAccount");
            return (Criteria) this;
        }

        public Criteria andReserveAccountLessThan(String value) {
            addCriterion("reserve_account <", value, "reserveAccount");
            return (Criteria) this;
        }

        public Criteria andReserveAccountLessThanOrEqualTo(String value) {
            addCriterion("reserve_account <=", value, "reserveAccount");
            return (Criteria) this;
        }

        public Criteria andReserveAccountLike(String value) {
            addCriterion("reserve_account like", value, "reserveAccount");
            return (Criteria) this;
        }

        public Criteria andReserveAccountNotLike(String value) {
            addCriterion("reserve_account not like", value, "reserveAccount");
            return (Criteria) this;
        }

        public Criteria andReserveAccountIn(List<String> values) {
            addCriterion("reserve_account in", values, "reserveAccount");
            return (Criteria) this;
        }

        public Criteria andReserveAccountNotIn(List<String> values) {
            addCriterion("reserve_account not in", values, "reserveAccount");
            return (Criteria) this;
        }

        public Criteria andReserveAccountBetween(String value1, String value2) {
            addCriterion("reserve_account between", value1, value2, "reserveAccount");
            return (Criteria) this;
        }

        public Criteria andReserveAccountNotBetween(String value1, String value2) {
            addCriterion("reserve_account not between", value1, value2, "reserveAccount");
            return (Criteria) this;
        }

        public Criteria andRemainingShareCustodianSeatShenzhenIsNull() {
            addCriterion("remaining_share_custodian_seat_shenzhen is null");
            return (Criteria) this;
        }

        public Criteria andRemainingShareCustodianSeatShenzhenIsNotNull() {
            addCriterion("remaining_share_custodian_seat_shenzhen is not null");
            return (Criteria) this;
        }

        public Criteria andRemainingShareCustodianSeatShenzhenEqualTo(String value) {
            addCriterion("remaining_share_custodian_seat_shenzhen =", value, "remainingShareCustodianSeatShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareCustodianSeatShenzhenNotEqualTo(String value) {
            addCriterion("remaining_share_custodian_seat_shenzhen <>", value, "remainingShareCustodianSeatShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareCustodianSeatShenzhenGreaterThan(String value) {
            addCriterion("remaining_share_custodian_seat_shenzhen >", value, "remainingShareCustodianSeatShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareCustodianSeatShenzhenGreaterThanOrEqualTo(String value) {
            addCriterion("remaining_share_custodian_seat_shenzhen >=", value, "remainingShareCustodianSeatShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareCustodianSeatShenzhenLessThan(String value) {
            addCriterion("remaining_share_custodian_seat_shenzhen <", value, "remainingShareCustodianSeatShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareCustodianSeatShenzhenLessThanOrEqualTo(String value) {
            addCriterion("remaining_share_custodian_seat_shenzhen <=", value, "remainingShareCustodianSeatShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareCustodianSeatShenzhenLike(String value) {
            addCriterion("remaining_share_custodian_seat_shenzhen like", value, "remainingShareCustodianSeatShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareCustodianSeatShenzhenNotLike(String value) {
            addCriterion("remaining_share_custodian_seat_shenzhen not like", value, "remainingShareCustodianSeatShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareCustodianSeatShenzhenIn(List<String> values) {
            addCriterion("remaining_share_custodian_seat_shenzhen in", values, "remainingShareCustodianSeatShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareCustodianSeatShenzhenNotIn(List<String> values) {
            addCriterion("remaining_share_custodian_seat_shenzhen not in", values, "remainingShareCustodianSeatShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareCustodianSeatShenzhenBetween(String value1, String value2) {
            addCriterion("remaining_share_custodian_seat_shenzhen between", value1, value2, "remainingShareCustodianSeatShenzhen");
            return (Criteria) this;
        }

        public Criteria andRemainingShareCustodianSeatShenzhenNotBetween(String value1, String value2) {
            addCriterion("remaining_share_custodian_seat_shenzhen not between", value1, value2, "remainingShareCustodianSeatShenzhen");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}