package com.sztzjy.fund_investment.entity;

import java.util.ArrayList;
import java.util.List;

public class TopicsExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TopicsExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andTopicIdIsNull() {
            addCriterion("topic_id is null");
            return (Criteria) this;
        }

        public Criteria andTopicIdIsNotNull() {
            addCriterion("topic_id is not null");
            return (Criteria) this;
        }

        public Criteria andTopicIdEqualTo(String value) {
            addCriterion("topic_id =", value, "topicId");
            return (Criteria) this;
        }

        public Criteria andTopicIdNotEqualTo(String value) {
            addCriterion("topic_id <>", value, "topicId");
            return (Criteria) this;
        }

        public Criteria andTopicIdGreaterThan(String value) {
            addCriterion("topic_id >", value, "topicId");
            return (Criteria) this;
        }

        public Criteria andTopicIdGreaterThanOrEqualTo(String value) {
            addCriterion("topic_id >=", value, "topicId");
            return (Criteria) this;
        }

        public Criteria andTopicIdLessThan(String value) {
            addCriterion("topic_id <", value, "topicId");
            return (Criteria) this;
        }

        public Criteria andTopicIdLessThanOrEqualTo(String value) {
            addCriterion("topic_id <=", value, "topicId");
            return (Criteria) this;
        }

        public Criteria andTopicIdLike(String value) {
            addCriterion("topic_id like", value, "topicId");
            return (Criteria) this;
        }

        public Criteria andTopicIdNotLike(String value) {
            addCriterion("topic_id not like", value, "topicId");
            return (Criteria) this;
        }

        public Criteria andTopicIdIn(List<String> values) {
            addCriterion("topic_id in", values, "topicId");
            return (Criteria) this;
        }

        public Criteria andTopicIdNotIn(List<String> values) {
            addCriterion("topic_id not in", values, "topicId");
            return (Criteria) this;
        }

        public Criteria andTopicIdBetween(String value1, String value2) {
            addCriterion("topic_id between", value1, value2, "topicId");
            return (Criteria) this;
        }

        public Criteria andTopicIdNotBetween(String value1, String value2) {
            addCriterion("topic_id not between", value1, value2, "topicId");
            return (Criteria) this;
        }

        public Criteria andChoicesaIsNull() {
            addCriterion("choicesA is null");
            return (Criteria) this;
        }

        public Criteria andChoicesaIsNotNull() {
            addCriterion("choicesA is not null");
            return (Criteria) this;
        }

        public Criteria andChoicesaEqualTo(String value) {
            addCriterion("choicesA =", value, "choicesa");
            return (Criteria) this;
        }

        public Criteria andChoicesaNotEqualTo(String value) {
            addCriterion("choicesA <>", value, "choicesa");
            return (Criteria) this;
        }

        public Criteria andChoicesaGreaterThan(String value) {
            addCriterion("choicesA >", value, "choicesa");
            return (Criteria) this;
        }

        public Criteria andChoicesaGreaterThanOrEqualTo(String value) {
            addCriterion("choicesA >=", value, "choicesa");
            return (Criteria) this;
        }

        public Criteria andChoicesaLessThan(String value) {
            addCriterion("choicesA <", value, "choicesa");
            return (Criteria) this;
        }

        public Criteria andChoicesaLessThanOrEqualTo(String value) {
            addCriterion("choicesA <=", value, "choicesa");
            return (Criteria) this;
        }

        public Criteria andChoicesaLike(String value) {
            addCriterion("choicesA like", value, "choicesa");
            return (Criteria) this;
        }

        public Criteria andChoicesaNotLike(String value) {
            addCriterion("choicesA not like", value, "choicesa");
            return (Criteria) this;
        }

        public Criteria andChoicesaIn(List<String> values) {
            addCriterion("choicesA in", values, "choicesa");
            return (Criteria) this;
        }

        public Criteria andChoicesaNotIn(List<String> values) {
            addCriterion("choicesA not in", values, "choicesa");
            return (Criteria) this;
        }

        public Criteria andChoicesaBetween(String value1, String value2) {
            addCriterion("choicesA between", value1, value2, "choicesa");
            return (Criteria) this;
        }

        public Criteria andChoicesaNotBetween(String value1, String value2) {
            addCriterion("choicesA not between", value1, value2, "choicesa");
            return (Criteria) this;
        }

        public Criteria andChoicesbIsNull() {
            addCriterion("choicesB is null");
            return (Criteria) this;
        }

        public Criteria andChoicesbIsNotNull() {
            addCriterion("choicesB is not null");
            return (Criteria) this;
        }

        public Criteria andChoicesbEqualTo(String value) {
            addCriterion("choicesB =", value, "choicesb");
            return (Criteria) this;
        }

        public Criteria andChoicesbNotEqualTo(String value) {
            addCriterion("choicesB <>", value, "choicesb");
            return (Criteria) this;
        }

        public Criteria andChoicesbGreaterThan(String value) {
            addCriterion("choicesB >", value, "choicesb");
            return (Criteria) this;
        }

        public Criteria andChoicesbGreaterThanOrEqualTo(String value) {
            addCriterion("choicesB >=", value, "choicesb");
            return (Criteria) this;
        }

        public Criteria andChoicesbLessThan(String value) {
            addCriterion("choicesB <", value, "choicesb");
            return (Criteria) this;
        }

        public Criteria andChoicesbLessThanOrEqualTo(String value) {
            addCriterion("choicesB <=", value, "choicesb");
            return (Criteria) this;
        }

        public Criteria andChoicesbLike(String value) {
            addCriterion("choicesB like", value, "choicesb");
            return (Criteria) this;
        }

        public Criteria andChoicesbNotLike(String value) {
            addCriterion("choicesB not like", value, "choicesb");
            return (Criteria) this;
        }

        public Criteria andChoicesbIn(List<String> values) {
            addCriterion("choicesB in", values, "choicesb");
            return (Criteria) this;
        }

        public Criteria andChoicesbNotIn(List<String> values) {
            addCriterion("choicesB not in", values, "choicesb");
            return (Criteria) this;
        }

        public Criteria andChoicesbBetween(String value1, String value2) {
            addCriterion("choicesB between", value1, value2, "choicesb");
            return (Criteria) this;
        }

        public Criteria andChoicesbNotBetween(String value1, String value2) {
            addCriterion("choicesB not between", value1, value2, "choicesb");
            return (Criteria) this;
        }

        public Criteria andChoicescIsNull() {
            addCriterion("choicesC is null");
            return (Criteria) this;
        }

        public Criteria andChoicescIsNotNull() {
            addCriterion("choicesC is not null");
            return (Criteria) this;
        }

        public Criteria andChoicescEqualTo(String value) {
            addCriterion("choicesC =", value, "choicesc");
            return (Criteria) this;
        }

        public Criteria andChoicescNotEqualTo(String value) {
            addCriterion("choicesC <>", value, "choicesc");
            return (Criteria) this;
        }

        public Criteria andChoicescGreaterThan(String value) {
            addCriterion("choicesC >", value, "choicesc");
            return (Criteria) this;
        }

        public Criteria andChoicescGreaterThanOrEqualTo(String value) {
            addCriterion("choicesC >=", value, "choicesc");
            return (Criteria) this;
        }

        public Criteria andChoicescLessThan(String value) {
            addCriterion("choicesC <", value, "choicesc");
            return (Criteria) this;
        }

        public Criteria andChoicescLessThanOrEqualTo(String value) {
            addCriterion("choicesC <=", value, "choicesc");
            return (Criteria) this;
        }

        public Criteria andChoicescLike(String value) {
            addCriterion("choicesC like", value, "choicesc");
            return (Criteria) this;
        }

        public Criteria andChoicescNotLike(String value) {
            addCriterion("choicesC not like", value, "choicesc");
            return (Criteria) this;
        }

        public Criteria andChoicescIn(List<String> values) {
            addCriterion("choicesC in", values, "choicesc");
            return (Criteria) this;
        }

        public Criteria andChoicescNotIn(List<String> values) {
            addCriterion("choicesC not in", values, "choicesc");
            return (Criteria) this;
        }

        public Criteria andChoicescBetween(String value1, String value2) {
            addCriterion("choicesC between", value1, value2, "choicesc");
            return (Criteria) this;
        }

        public Criteria andChoicescNotBetween(String value1, String value2) {
            addCriterion("choicesC not between", value1, value2, "choicesc");
            return (Criteria) this;
        }

        public Criteria andChoicesdIsNull() {
            addCriterion("choicesD is null");
            return (Criteria) this;
        }

        public Criteria andChoicesdIsNotNull() {
            addCriterion("choicesD is not null");
            return (Criteria) this;
        }

        public Criteria andChoicesdEqualTo(String value) {
            addCriterion("choicesD =", value, "choicesd");
            return (Criteria) this;
        }

        public Criteria andChoicesdNotEqualTo(String value) {
            addCriterion("choicesD <>", value, "choicesd");
            return (Criteria) this;
        }

        public Criteria andChoicesdGreaterThan(String value) {
            addCriterion("choicesD >", value, "choicesd");
            return (Criteria) this;
        }

        public Criteria andChoicesdGreaterThanOrEqualTo(String value) {
            addCriterion("choicesD >=", value, "choicesd");
            return (Criteria) this;
        }

        public Criteria andChoicesdLessThan(String value) {
            addCriterion("choicesD <", value, "choicesd");
            return (Criteria) this;
        }

        public Criteria andChoicesdLessThanOrEqualTo(String value) {
            addCriterion("choicesD <=", value, "choicesd");
            return (Criteria) this;
        }

        public Criteria andChoicesdLike(String value) {
            addCriterion("choicesD like", value, "choicesd");
            return (Criteria) this;
        }

        public Criteria andChoicesdNotLike(String value) {
            addCriterion("choicesD not like", value, "choicesd");
            return (Criteria) this;
        }

        public Criteria andChoicesdIn(List<String> values) {
            addCriterion("choicesD in", values, "choicesd");
            return (Criteria) this;
        }

        public Criteria andChoicesdNotIn(List<String> values) {
            addCriterion("choicesD not in", values, "choicesd");
            return (Criteria) this;
        }

        public Criteria andChoicesdBetween(String value1, String value2) {
            addCriterion("choicesD between", value1, value2, "choicesd");
            return (Criteria) this;
        }

        public Criteria andChoicesdNotBetween(String value1, String value2) {
            addCriterion("choicesD not between", value1, value2, "choicesd");
            return (Criteria) this;
        }

        public Criteria andChoiceseIsNull() {
            addCriterion("choicesE is null");
            return (Criteria) this;
        }

        public Criteria andChoiceseIsNotNull() {
            addCriterion("choicesE is not null");
            return (Criteria) this;
        }

        public Criteria andChoiceseEqualTo(String value) {
            addCriterion("choicesE =", value, "choicese");
            return (Criteria) this;
        }

        public Criteria andChoiceseNotEqualTo(String value) {
            addCriterion("choicesE <>", value, "choicese");
            return (Criteria) this;
        }

        public Criteria andChoiceseGreaterThan(String value) {
            addCriterion("choicesE >", value, "choicese");
            return (Criteria) this;
        }

        public Criteria andChoiceseGreaterThanOrEqualTo(String value) {
            addCriterion("choicesE >=", value, "choicese");
            return (Criteria) this;
        }

        public Criteria andChoiceseLessThan(String value) {
            addCriterion("choicesE <", value, "choicese");
            return (Criteria) this;
        }

        public Criteria andChoiceseLessThanOrEqualTo(String value) {
            addCriterion("choicesE <=", value, "choicese");
            return (Criteria) this;
        }

        public Criteria andChoiceseLike(String value) {
            addCriterion("choicesE like", value, "choicese");
            return (Criteria) this;
        }

        public Criteria andChoiceseNotLike(String value) {
            addCriterion("choicesE not like", value, "choicese");
            return (Criteria) this;
        }

        public Criteria andChoiceseIn(List<String> values) {
            addCriterion("choicesE in", values, "choicese");
            return (Criteria) this;
        }

        public Criteria andChoiceseNotIn(List<String> values) {
            addCriterion("choicesE not in", values, "choicese");
            return (Criteria) this;
        }

        public Criteria andChoiceseBetween(String value1, String value2) {
            addCriterion("choicesE between", value1, value2, "choicese");
            return (Criteria) this;
        }

        public Criteria andChoiceseNotBetween(String value1, String value2) {
            addCriterion("choicesE not between", value1, value2, "choicese");
            return (Criteria) this;
        }

        public Criteria andTopicTypeIsNull() {
            addCriterion("topic_type is null");
            return (Criteria) this;
        }

        public Criteria andTopicTypeIsNotNull() {
            addCriterion("topic_type is not null");
            return (Criteria) this;
        }

        public Criteria andTopicTypeEqualTo(String value) {
            addCriterion("topic_type =", value, "topicType");
            return (Criteria) this;
        }

        public Criteria andTopicTypeNotEqualTo(String value) {
            addCriterion("topic_type <>", value, "topicType");
            return (Criteria) this;
        }

        public Criteria andTopicTypeGreaterThan(String value) {
            addCriterion("topic_type >", value, "topicType");
            return (Criteria) this;
        }

        public Criteria andTopicTypeGreaterThanOrEqualTo(String value) {
            addCriterion("topic_type >=", value, "topicType");
            return (Criteria) this;
        }

        public Criteria andTopicTypeLessThan(String value) {
            addCriterion("topic_type <", value, "topicType");
            return (Criteria) this;
        }

        public Criteria andTopicTypeLessThanOrEqualTo(String value) {
            addCriterion("topic_type <=", value, "topicType");
            return (Criteria) this;
        }

        public Criteria andTopicTypeLike(String value) {
            addCriterion("topic_type like", value, "topicType");
            return (Criteria) this;
        }

        public Criteria andTopicTypeNotLike(String value) {
            addCriterion("topic_type not like", value, "topicType");
            return (Criteria) this;
        }

        public Criteria andTopicTypeIn(List<String> values) {
            addCriterion("topic_type in", values, "topicType");
            return (Criteria) this;
        }

        public Criteria andTopicTypeNotIn(List<String> values) {
            addCriterion("topic_type not in", values, "topicType");
            return (Criteria) this;
        }

        public Criteria andTopicTypeBetween(String value1, String value2) {
            addCriterion("topic_type between", value1, value2, "topicType");
            return (Criteria) this;
        }

        public Criteria andTopicTypeNotBetween(String value1, String value2) {
            addCriterion("topic_type not between", value1, value2, "topicType");
            return (Criteria) this;
        }

        public Criteria andSourceIsNull() {
            addCriterion("source is null");
            return (Criteria) this;
        }

        public Criteria andSourceIsNotNull() {
            addCriterion("source is not null");
            return (Criteria) this;
        }

        public Criteria andSourceEqualTo(String value) {
            addCriterion("source =", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceNotEqualTo(String value) {
            addCriterion("source <>", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceGreaterThan(String value) {
            addCriterion("source >", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceGreaterThanOrEqualTo(String value) {
            addCriterion("source >=", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceLessThan(String value) {
            addCriterion("source <", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceLessThanOrEqualTo(String value) {
            addCriterion("source <=", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceLike(String value) {
            addCriterion("source like", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceNotLike(String value) {
            addCriterion("source not like", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceIn(List<String> values) {
            addCriterion("source in", values, "source");
            return (Criteria) this;
        }

        public Criteria andSourceNotIn(List<String> values) {
            addCriterion("source not in", values, "source");
            return (Criteria) this;
        }

        public Criteria andSourceBetween(String value1, String value2) {
            addCriterion("source between", value1, value2, "source");
            return (Criteria) this;
        }

        public Criteria andSourceNotBetween(String value1, String value2) {
            addCriterion("source not between", value1, value2, "source");
            return (Criteria) this;
        }

        public Criteria andModuleIsNull() {
            addCriterion("module is null");
            return (Criteria) this;
        }

        public Criteria andModuleIsNotNull() {
            addCriterion("module is not null");
            return (Criteria) this;
        }

        public Criteria andModuleEqualTo(String value) {
            addCriterion("module =", value, "module");
            return (Criteria) this;
        }

        public Criteria andModuleNotEqualTo(String value) {
            addCriterion("module <>", value, "module");
            return (Criteria) this;
        }

        public Criteria andModuleGreaterThan(String value) {
            addCriterion("module >", value, "module");
            return (Criteria) this;
        }

        public Criteria andModuleGreaterThanOrEqualTo(String value) {
            addCriterion("module >=", value, "module");
            return (Criteria) this;
        }

        public Criteria andModuleLessThan(String value) {
            addCriterion("module <", value, "module");
            return (Criteria) this;
        }

        public Criteria andModuleLessThanOrEqualTo(String value) {
            addCriterion("module <=", value, "module");
            return (Criteria) this;
        }

        public Criteria andModuleLike(String value) {
            addCriterion("module like", value, "module");
            return (Criteria) this;
        }

        public Criteria andModuleNotLike(String value) {
            addCriterion("module not like", value, "module");
            return (Criteria) this;
        }

        public Criteria andModuleIn(List<String> values) {
            addCriterion("module in", values, "module");
            return (Criteria) this;
        }

        public Criteria andModuleNotIn(List<String> values) {
            addCriterion("module not in", values, "module");
            return (Criteria) this;
        }

        public Criteria andModuleBetween(String value1, String value2) {
            addCriterion("module between", value1, value2, "module");
            return (Criteria) this;
        }

        public Criteria andModuleNotBetween(String value1, String value2) {
            addCriterion("module not between", value1, value2, "module");
            return (Criteria) this;
        }

        public Criteria andAnswerIsNull() {
            addCriterion("answer is null");
            return (Criteria) this;
        }

        public Criteria andAnswerIsNotNull() {
            addCriterion("answer is not null");
            return (Criteria) this;
        }

        public Criteria andAnswerEqualTo(String value) {
            addCriterion("answer =", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerNotEqualTo(String value) {
            addCriterion("answer <>", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerGreaterThan(String value) {
            addCriterion("answer >", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerGreaterThanOrEqualTo(String value) {
            addCriterion("answer >=", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerLessThan(String value) {
            addCriterion("answer <", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerLessThanOrEqualTo(String value) {
            addCriterion("answer <=", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerLike(String value) {
            addCriterion("answer like", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerNotLike(String value) {
            addCriterion("answer not like", value, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerIn(List<String> values) {
            addCriterion("answer in", values, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerNotIn(List<String> values) {
            addCriterion("answer not in", values, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerBetween(String value1, String value2) {
            addCriterion("answer between", value1, value2, "answer");
            return (Criteria) this;
        }

        public Criteria andAnswerNotBetween(String value1, String value2) {
            addCriterion("answer not between", value1, value2, "answer");
            return (Criteria) this;
        }

        public Criteria andUserAnswerIsNull() {
            addCriterion("user_answer is null");
            return (Criteria) this;
        }

        public Criteria andUserAnswerIsNotNull() {
            addCriterion("user_answer is not null");
            return (Criteria) this;
        }

        public Criteria andUserAnswerEqualTo(String value) {
            addCriterion("user_answer =", value, "userAnswer");
            return (Criteria) this;
        }

        public Criteria andUserAnswerNotEqualTo(String value) {
            addCriterion("user_answer <>", value, "userAnswer");
            return (Criteria) this;
        }

        public Criteria andUserAnswerGreaterThan(String value) {
            addCriterion("user_answer >", value, "userAnswer");
            return (Criteria) this;
        }

        public Criteria andUserAnswerGreaterThanOrEqualTo(String value) {
            addCriterion("user_answer >=", value, "userAnswer");
            return (Criteria) this;
        }

        public Criteria andUserAnswerLessThan(String value) {
            addCriterion("user_answer <", value, "userAnswer");
            return (Criteria) this;
        }

        public Criteria andUserAnswerLessThanOrEqualTo(String value) {
            addCriterion("user_answer <=", value, "userAnswer");
            return (Criteria) this;
        }

        public Criteria andUserAnswerLike(String value) {
            addCriterion("user_answer like", value, "userAnswer");
            return (Criteria) this;
        }

        public Criteria andUserAnswerNotLike(String value) {
            addCriterion("user_answer not like", value, "userAnswer");
            return (Criteria) this;
        }

        public Criteria andUserAnswerIn(List<String> values) {
            addCriterion("user_answer in", values, "userAnswer");
            return (Criteria) this;
        }

        public Criteria andUserAnswerNotIn(List<String> values) {
            addCriterion("user_answer not in", values, "userAnswer");
            return (Criteria) this;
        }

        public Criteria andUserAnswerBetween(String value1, String value2) {
            addCriterion("user_answer between", value1, value2, "userAnswer");
            return (Criteria) this;
        }

        public Criteria andUserAnswerNotBetween(String value1, String value2) {
            addCriterion("user_answer not between", value1, value2, "userAnswer");
            return (Criteria) this;
        }

        public Criteria andScoreIsNull() {
            addCriterion("score is null");
            return (Criteria) this;
        }

        public Criteria andScoreIsNotNull() {
            addCriterion("score is not null");
            return (Criteria) this;
        }

        public Criteria andScoreEqualTo(Integer value) {
            addCriterion("score =", value, "score");
            return (Criteria) this;
        }

        public Criteria andScoreNotEqualTo(Integer value) {
            addCriterion("score <>", value, "score");
            return (Criteria) this;
        }

        public Criteria andScoreGreaterThan(Integer value) {
            addCriterion("score >", value, "score");
            return (Criteria) this;
        }

        public Criteria andScoreGreaterThanOrEqualTo(Integer value) {
            addCriterion("score >=", value, "score");
            return (Criteria) this;
        }

        public Criteria andScoreLessThan(Integer value) {
            addCriterion("score <", value, "score");
            return (Criteria) this;
        }

        public Criteria andScoreLessThanOrEqualTo(Integer value) {
            addCriterion("score <=", value, "score");
            return (Criteria) this;
        }

        public Criteria andScoreIn(List<Integer> values) {
            addCriterion("score in", values, "score");
            return (Criteria) this;
        }

        public Criteria andScoreNotIn(List<Integer> values) {
            addCriterion("score not in", values, "score");
            return (Criteria) this;
        }

        public Criteria andScoreBetween(Integer value1, Integer value2) {
            addCriterion("score between", value1, value2, "score");
            return (Criteria) this;
        }

        public Criteria andScoreNotBetween(Integer value1, Integer value2) {
            addCriterion("score not between", value1, value2, "score");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIsNull() {
            addCriterion("school_id is null");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIsNotNull() {
            addCriterion("school_id is not null");
            return (Criteria) this;
        }

        public Criteria andSchoolIdEqualTo(String value) {
            addCriterion("school_id =", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotEqualTo(String value) {
            addCriterion("school_id <>", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdGreaterThan(String value) {
            addCriterion("school_id >", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdGreaterThanOrEqualTo(String value) {
            addCriterion("school_id >=", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLessThan(String value) {
            addCriterion("school_id <", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLessThanOrEqualTo(String value) {
            addCriterion("school_id <=", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLike(String value) {
            addCriterion("school_id like", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotLike(String value) {
            addCriterion("school_id not like", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIn(List<String> values) {
            addCriterion("school_id in", values, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotIn(List<String> values) {
            addCriterion("school_id not in", values, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdBetween(String value1, String value2) {
            addCriterion("school_id between", value1, value2, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotBetween(String value1, String value2) {
            addCriterion("school_id not between", value1, value2, "schoolId");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}