package com.sztzjy.fund_investment.entity.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 *
 * @author xcj
 * found_project
 */
public class FoundProjectDto {
    @ApiModelProperty("流程id")
    private String flowId;

    @ApiModelProperty("寻找项目结论")
    private String foundProjectConclusion;

    @ApiModelProperty("业务尽调结论")
    private String serviceDueDiligence;

    @ApiModelProperty("财务尽调结论")
    private String financialDueDiligence;

    @ApiModelProperty("项目相对估值结论")
    private String projectValuationRelative;

    @ApiModelProperty("项目绝对估值结论")
    private String projectValuationAbsolute;


    @ApiModelProperty("寻找项目结论得分")
    private BigDecimal foundProjectConclusionScore;

    @ApiModelProperty("业务尽调结论得分")
    private BigDecimal serviceDueDiligenceScore;

    @ApiModelProperty("财务尽调结论得分")
    private BigDecimal financialDueDiligenceScore;

    @ApiModelProperty("项目相对估值结论得分")
    private BigDecimal projectValuationRelativeScore;

    @ApiModelProperty("项目绝对估值结论得分")
    private BigDecimal projectValuationAbsoluteScore;


    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId;
    }

    public String getFoundProjectConclusion() {
        return foundProjectConclusion;
    }

    public void setFoundProjectConclusion(String foundProjectConclusion) {
        this.foundProjectConclusion = foundProjectConclusion;
    }

    public String getServiceDueDiligence() {
        return serviceDueDiligence;
    }

    public void setServiceDueDiligence(String serviceDueDiligence) {
        this.serviceDueDiligence = serviceDueDiligence;
    }

    public String getFinancialDueDiligence() {
        return financialDueDiligence;
    }

    public void setFinancialDueDiligence(String financialDueDiligence) {
        this.financialDueDiligence = financialDueDiligence;
    }

    public String getProjectValuationRelative() {
        return projectValuationRelative;
    }

    public void setProjectValuationRelative(String projectValuationRelative) {
        this.projectValuationRelative = projectValuationRelative;
    }

    public String getProjectValuationAbsolute() {
        return projectValuationAbsolute;
    }

    public void setProjectValuationAbsolute(String projectValuationAbsolute) {
        this.projectValuationAbsolute = projectValuationAbsolute;
    }

    public BigDecimal getFoundProjectConclusionScore() {
        return foundProjectConclusionScore;
    }

    public void setFoundProjectConclusionScore(BigDecimal foundProjectConclusionScore) {
        this.foundProjectConclusionScore = foundProjectConclusionScore;
    }

    public BigDecimal getServiceDueDiligenceScore() {
        return serviceDueDiligenceScore;
    }

    public void setServiceDueDiligenceScore(BigDecimal serviceDueDiligenceScore) {
        this.serviceDueDiligenceScore = serviceDueDiligenceScore;
    }

    public BigDecimal getFinancialDueDiligenceScore() {
        return financialDueDiligenceScore;
    }

    public void setFinancialDueDiligenceScore(BigDecimal financialDueDiligenceScore) {
        this.financialDueDiligenceScore = financialDueDiligenceScore;
    }

    public BigDecimal getProjectValuationRelativeScore() {
        return projectValuationRelativeScore;
    }

    public void setProjectValuationRelativeScore(BigDecimal projectValuationRelativeScore) {
        this.projectValuationRelativeScore = projectValuationRelativeScore;
    }

    public BigDecimal getProjectValuationAbsoluteScore() {
        return projectValuationAbsoluteScore;
    }

    public void setProjectValuationAbsoluteScore(BigDecimal projectValuationAbsoluteScore) {
        this.projectValuationAbsoluteScore = projectValuationAbsoluteScore;
    }
}