package com.sztzjy.fund_investment.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xcj
 * performance_score
 */
public class PerformanceTrainingScoreDto {

    @ApiModelProperty("流程ID")
    private String flowId;

    @ApiModelProperty("实务认知学习分数")
    private BigDecimal practicalCognitionScore;

    @ApiModelProperty("知识测评分数")
    private BigDecimal knowledgeAssessmentScore;

    @ApiModelProperty("基金募资分数")
    private BigDecimal fundraisingScore;

    @ApiModelProperty("寻找项目分数")
    private BigDecimal projectSearchScore;

    @ApiModelProperty("项目尽调分数")
    private BigDecimal projectDueDiligenceScore;

    @ApiModelProperty("项目估值分数")
    private BigDecimal projectValuationScore;

    @ApiModelProperty("签约投资分数")
    private BigDecimal investmentSigningScore;

    @ApiModelProperty("IPO申请分数")
    private BigDecimal ipoScore;

    @ApiModelProperty("询价发行分数")
    private BigDecimal pricingIssuanceScore;

    @ApiModelProperty("收益管理分数")
    private BigDecimal profitManagementScore;

    @ApiModelProperty("收益分配分数")
    private BigDecimal profitDistributionScore;

    @ApiModelProperty("投资报告分数")
    private BigDecimal investmentReportScore;

    @ApiModelProperty("总成绩")
    private BigDecimal totalScore;

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId;
    }

    public BigDecimal getPracticalCognitionScore() {
        return practicalCognitionScore;
    }

    public void setPracticalCognitionScore(BigDecimal practicalCognitionScore) {
        this.practicalCognitionScore = practicalCognitionScore;
    }

    public BigDecimal getKnowledgeAssessmentScore() {
        return knowledgeAssessmentScore;
    }

    public void setKnowledgeAssessmentScore(BigDecimal knowledgeAssessmentScore) {
        this.knowledgeAssessmentScore = knowledgeAssessmentScore;
    }

    public BigDecimal getFundraisingScore() {
        return fundraisingScore;
    }

    public void setFundraisingScore(BigDecimal fundraisingScore) {
        this.fundraisingScore = fundraisingScore;
    }

    public BigDecimal getProjectSearchScore() {
        return projectSearchScore;
    }

    public void setProjectSearchScore(BigDecimal projectSearchScore) {
        this.projectSearchScore = projectSearchScore;
    }

    public BigDecimal getProjectDueDiligenceScore() {
        return projectDueDiligenceScore;
    }

    public void setProjectDueDiligenceScore(BigDecimal projectDueDiligenceScore) {
        this.projectDueDiligenceScore = projectDueDiligenceScore;
    }

    public BigDecimal getProjectValuationScore() {
        return projectValuationScore;
    }

    public void setProjectValuationScore(BigDecimal projectValuationScore) {
        this.projectValuationScore = projectValuationScore;
    }

    public BigDecimal getInvestmentSigningScore() {
        return investmentSigningScore;
    }

    public void setInvestmentSigningScore(BigDecimal investmentSigningScore) {
        this.investmentSigningScore = investmentSigningScore;
    }

    public BigDecimal getIpoScore() {
        return ipoScore;
    }

    public void setIpoScore(BigDecimal ipoScore) {
        this.ipoScore = ipoScore;
    }

    public BigDecimal getPricingIssuanceScore() {
        return pricingIssuanceScore;
    }

    public void setPricingIssuanceScore(BigDecimal pricingIssuanceScore) {
        this.pricingIssuanceScore = pricingIssuanceScore;
    }

    public BigDecimal getProfitManagementScore() {
        return profitManagementScore;
    }

    public void setProfitManagementScore(BigDecimal profitManagementScore) {
        this.profitManagementScore = profitManagementScore;
    }

    public BigDecimal getProfitDistributionScore() {
        return profitDistributionScore;
    }

    public void setProfitDistributionScore(BigDecimal profitDistributionScore) {
        this.profitDistributionScore = profitDistributionScore;
    }

    public BigDecimal getInvestmentReportScore() {
        return investmentReportScore;
    }

    public void setInvestmentReportScore(BigDecimal investmentReportScore) {
        this.investmentReportScore = investmentReportScore;
    }
}