package com.sztzjy.fund_investment.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xcj
 * tea_class_score
 */
public class TeaClassScoreDto {
    private String id;

    @ApiModelProperty("学校ID")
    private String schoolId;

    @ApiModelProperty("班级ID")
    private String classId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("优秀人数")
    private Integer excellentCount;

    @ApiModelProperty("良好人数")
    private Integer goodCount;

    @ApiModelProperty("一般人数")
    private Integer generalCount;

    @ApiModelProperty("不及格人数")
    private Integer failCount;

    @ApiModelProperty("班级最高分")
    private BigDecimal classMaxScore;

    @ApiModelProperty("班级最低分")
    private BigDecimal classMinScore;

    @ApiModelProperty("班级平均分")
    private BigDecimal classAverageScore;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("得分日期")
    private Date startTime;


    @ApiModelProperty("学校优秀人数")
    private Integer schoolExcellentCount;
    @ApiModelProperty("学校良好人数")
    private Integer schoolGoodCount;
    @ApiModelProperty("学校一般人数")
    private Integer schoolGeneralCount;
    @ApiModelProperty("学校不及格人数")
    private Integer schoolFailCount;
    @ApiModelProperty("学校班级最高分")
    private BigDecimal schoolMaxScore;
    @ApiModelProperty("学校班级最低分")
    private BigDecimal schoolMinScore;
    @ApiModelProperty("学校班级平均分")
    private BigDecimal schoolAverageScore;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId;
    }

    public String getClassId() {
        return classId;
    }

    public void setClassId(String classId) {
        this.classId = classId;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Integer getExcellentCount() {
        return excellentCount;
    }

    public void setExcellentCount(Integer excellentCount) {
        this.excellentCount = excellentCount;
    }

    public Integer getGoodCount() {
        return goodCount;
    }

    public void setGoodCount(Integer goodCount) {
        this.goodCount = goodCount;
    }

    public Integer getGeneralCount() {
        return generalCount;
    }

    public void setGeneralCount(Integer generalCount) {
        this.generalCount = generalCount;
    }

    public Integer getFailCount() {
        return failCount;
    }

    public void setFailCount(Integer failCount) {
        this.failCount = failCount;
    }

    public BigDecimal getClassMaxScore() {
        return classMaxScore;
    }

    public void setClassMaxScore(BigDecimal classMaxScore) {
        this.classMaxScore = classMaxScore;
    }

    public BigDecimal getClassMinScore() {
        return classMinScore;
    }

    public void setClassMinScore(BigDecimal classMinScore) {
        this.classMinScore = classMinScore;
    }

    public BigDecimal getClassAverageScore() {
        return classAverageScore;
    }

    public void setClassAverageScore(BigDecimal classAverageScore) {
        this.classAverageScore = classAverageScore;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Integer getSchoolExcellentCount() {
        return schoolExcellentCount;
    }

    public void setSchoolExcellentCount(Integer schoolExcellentCount) {
        this.schoolExcellentCount = schoolExcellentCount;
    }

    public Integer getSchoolGoodCount() {
        return schoolGoodCount;
    }

    public void setSchoolGoodCount(Integer schoolGoodCount) {
        this.schoolGoodCount = schoolGoodCount;
    }

    public Integer getSchoolGeneralCount() {
        return schoolGeneralCount;
    }

    public void setSchoolGeneralCount(Integer schoolGeneralCount) {
        this.schoolGeneralCount = schoolGeneralCount;
    }

    public Integer getSchoolFailCount() {
        return schoolFailCount;
    }

    public void setSchoolFailCount(Integer schoolFailCount) {
        this.schoolFailCount = schoolFailCount;
    }

    public BigDecimal getSchoolMaxScore() {
        return schoolMaxScore;
    }

    public void setSchoolMaxScore(BigDecimal schoolMaxScore) {
        this.schoolMaxScore = schoolMaxScore;
    }

    public BigDecimal getSchoolMinScore() {
        return schoolMinScore;
    }

    public void setSchoolMinScore(BigDecimal schoolMinScore) {
        this.schoolMinScore = schoolMinScore;
    }

    public BigDecimal getSchoolAverageScore() {
        return schoolAverageScore;
    }

    public void setSchoolAverageScore(BigDecimal schoolAverageScore) {
        this.schoolAverageScore = schoolAverageScore;
    }
}