package com.sztzjy.fund_investment.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.License;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Author xcj
 * @Date 2023/11/21
 */
@Data
public class TopicsDto {
    private String topicId;

    @ApiModelProperty("选项")
    private Map<String,String> choices;

    @ApiModelProperty("题型")
    private String topicType;

    @ApiModelProperty("来源（内置/自增）")
    private String source;

    @ApiModelProperty("题库类型")
    private String module;

    @ApiModelProperty("答案")
    private String answer;

    @ApiModelProperty("学校ID")
    private String schoolId;

    @ApiModelProperty("题干")
    private String topicContent;
}
