package com.sztzjy.fund_investment.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author xcj
 * @Date 2023/11/24
 */
@Data
public class UserDto {
    private String userid;

    @ApiModelProperty("用户得分ID")
    private String performanceScoreId;

    @ApiModelProperty("流程ID")
    private String flowId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("学号")
    private String studentId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("班级ID")
    private String classId;

    @ApiModelProperty("学校ID")
    private String schoolId;

    @ApiModelProperty("学校名称")
    private String schoolName;

    @ApiModelProperty("成绩")
    private BigDecimal score;

    @ApiModelProperty("报告名称")
    private String reportName;

    @ApiModelProperty("报告ID")
    private String reportId;
}
