package com.sztzjy.fund_investment.service.serviceImpl;

import com.sztzjy.fund_investment.entity.FoundProject;
import com.sztzjy.fund_investment.mapper.FoundProjectMapper;
import com.sztzjy.fund_investment.service.ISysFoundProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SysFoundProjectServiceImpl implements ISysFoundProjectService {
    @Autowired
    FoundProjectMapper foundProjectMapper;

    @Override
    public FoundProject selectByFlowId(String flowId) {
        FoundProject foundProject = foundProjectMapper.selectByPrimaryKey(flowId);
        return foundProject;
    }

    @Override
    public String selectProjectPoolIdByFlowId(String flowId) {
        String projectPoolId = foundProjectMapper.selectByPrimaryKey(flowId).getProjectPoolId();
        return projectPoolId;
    }
}
