package com.sztzjy.fund_investment.service.serviceImpl;

import com.sztzjy.fund_investment.entity.Fundraising;
import com.sztzjy.fund_investment.entity.FundraisingExample;
import com.sztzjy.fund_investment.mapper.FundraisingMapper;
import com.sztzjy.fund_investment.service.ISysFundraisingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SysFundraisingServiceImpl implements ISysFundraisingService {
    @Autowired
    FundraisingMapper fundraisingMapper;
    @Override
    public Fundraising selectByFlowId(String flowId) {
        FundraisingExample example = new FundraisingExample();
        FundraisingExample.Criteria criteria = example.createCriteria();
        criteria.andFlowIdEqualTo(flowId);
        List<Fundraising> fundraisings = fundraisingMapper.selectByExample(example);
        if(fundraisings.isEmpty()){
            return null;
        }else {
            return fundraisings.get(0);
        }

    }

    @Override
    public Boolean insertFundraising(Fundraising fundraising) {
        int insert = fundraisingMapper.insertSelective(fundraising);
        return insert == 1 ? true : false;
    }
}
